Attribute VB_Name = "modul_Calaym_KeyConsts"
' Copyright (C) 2002-2011 Jan Vorel
' This program is free software; you can redistribute it and/or modify
' it under the terms of the GNU General Public License as published by
' the Free Software Foundation; either version 2 of the License, or
' (at your option) any later version.

' This program is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY; without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
' GNU General Public License for more details.

' You should have received a copy of the GNU General Public License
' along with this program; if not, write to the Free Software
' Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

' If you have any questions, suggestions or bug reports about this product,
' contact me: info@ctuser.net; Do not contact me about general B.A.S.I.C.
' language or A.P.I. issues

' This modul contains public functions, variables and callback functions.

Option Explicit
Option Base 0

Public Const KbdC_FFileMenu          As Long = 0&
  Public Const KbdC_FAddFileS        As Long = KbdC_FFileMenu + 1&
  Public Const KbdC_FAddDir          As Long = KbdC_FFileMenu + 2&
  Public Const KbdC_FAddPList        As Long = KbdC_FFileMenu + 3&
  Public Const KbdC_FRefreshCD       As Long = KbdC_FFileMenu + 4&
  Public Const KbdC_FNewPL           As Long = KbdC_FFileMenu + 5&
  Public Const KbdC_FLoadPL          As Long = KbdC_FFileMenu + 6&
  Public Const KbdC_FLoadPLMenu      As Long = KbdC_FFileMenu + 7&
  Public Const KbdC_FLoadPLDefault   As Long = KbdC_FFileMenu + 8&
  Public Const KbdC_FReloadPL        As Long = KbdC_FFileMenu + 9&
  Public Const KbdC_FSavePL          As Long = KbdC_FFileMenu + 10&
  Public Const KbdC_FSavePLas        As Long = KbdC_FFileMenu + 11&
  Public Const KbdC_FClearPL         As Long = KbdC_FFileMenu + 12&
  Public Const KbdC_FQuitSD          As Long = KbdC_FFileMenu + 13&
Public Const KbdC_CPCMenu            As Long = KbdC_FFileMenu + 14&
  Public Const KbdC_CPrev            As Long = KbdC_CPCMenu + 1&
  Public Const KbdC_CPlay            As Long = KbdC_CPCMenu + 2&
  Public Const KbdC_CPause           As Long = KbdC_CPCMenu + 3&
  Public Const KbdC_CStop            As Long = KbdC_CPCMenu + 4&
  Public Const KbdC_CNext            As Long = KbdC_CPCMenu + 5&
  Public Const KbdC_CEnd             As Long = KbdC_CPCMenu + 6&
  Public Const KbdC_CRepSingle       As Long = KbdC_CPCMenu + 7&
  Public Const KbdC_CRepAll          As Long = KbdC_CPCMenu + 8&
  Public Const KbdC_CRepRnd          As Long = KbdC_CPCMenu + 9&
  Public Const KbdC_CRepToggle       As Long = KbdC_CPCMenu + 10&
  Public Const KbdC_CIntroMode       As Long = KbdC_CPCMenu + 11&
  Public Const KbdC_CSeekB           As Long = KbdC_CPCMenu + 12&
  Public Const KbdC_CSeekF           As Long = KbdC_CPCMenu + 13&
  Public Const KbdC_CCurSongMenu     As Long = KbdC_CSeekF + 1&
    Public Const KbdC_CCSSelFile     As Long = KbdC_CCurSongMenu + 1&
    Public Const KbdC_CCSRemFile     As Long = KbdC_CCurSongMenu + 2&
    Public Const KbdC_CCSDelFile     As Long = KbdC_CCurSongMenu + 3&
    Public Const KbdC_CCSExplorer    As Long = KbdC_CCurSongMenu + 4&
Public Const KbdC_PPLMenu            As Long = KbdC_CCSExplorer + 1&
  Public Const KbdC_PPlaySkip        As Long = KbdC_PPLMenu + 1&
  Public Const KbdC_PPlayEnd         As Long = KbdC_PPLMenu + 2&
  Public Const KbdC_PPlayNext        As Long = KbdC_PPLMenu + 3&
  Public Const KbdC_PFindCurrent     As Long = KbdC_PPLMenu + 4&
  Public Const KbdC_PFind            As Long = KbdC_PPLMenu + 5&
  Public Const KbdC_PFindNext        As Long = KbdC_PPLMenu + 6&
  Public Const KbdC_PFindQuick       As Long = KbdC_PPLMenu + 7&
  Public Const KbdC_PSelRnd          As Long = KbdC_PPLMenu + 8&
  Public Const KbdC_PInvSel          As Long = KbdC_PPLMenu + 9&
  Public Const KbdC_PRemSongs        As Long = KbdC_PPLMenu + 10&
  Public Const KbdC_PRem             As Long = KbdC_PPLMenu + 11&
  Public Const KbdC_PCopyPLEnd       As Long = KbdC_PPLMenu + 12&
  Public Const KbdC_PCrop            As Long = KbdC_PPLMenu + 13&
  Public Const KbdC_PDelFiles        As Long = KbdC_PPLMenu + 14&
  Public Const KbdC_PExplorer        As Long = KbdC_PPLMenu + 15&
Public Const KbdC_OOptionsMenu       As Long = KbdC_PExplorer + 1&
  Public Const KbdC_OFading          As Long = KbdC_OOptionsMenu + 1&
  Public Const KbdC_OSpektrum        As Long = KbdC_OOptionsMenu + 2&
  Public Const KbdC_OFileInfos       As Long = KbdC_OOptionsMenu + 3&
  Public Const KbdC_OFollowSong      As Long = KbdC_OOptionsMenu + 4&
  Public Const KbdC_ORemMissing      As Long = KbdC_OOptionsMenu + 5&
  Public Const KbdC_ORemSkipped      As Long = KbdC_OOptionsMenu + 6&
  Public Const KbdC_ORemPlayed       As Long = KbdC_OOptionsMenu + 7&
  Public Const KbdC_ONoEndMode       As Long = KbdC_OOptionsMenu + 8&
  Public Const KbdC_OXFade           As Long = KbdC_OOptionsMenu + 9&
  Public Const KbdC_OMDMode          As Long = KbdC_OOptionsMenu + 10&
  Public Const KbdC_OStopEach        As Long = KbdC_OOptionsMenu + 11&
  Public Const KbdC_OEndModeTggle    As Long = KbdC_OOptionsMenu + 12&
  Public Const KbdC_CVolMenu         As Long = KbdC_OEndModeTggle + 1&
    Public Const KbdC_CVolUp         As Long = KbdC_CVolMenu + 1&
    Public Const KbdC_CVolDown       As Long = KbdC_CVolMenu + 2&
    Public Const KbdC_CVolMute       As Long = KbdC_CVolMenu + 3&
    Public Const KbdC_CVol1          As Long = KbdC_CVolMenu + 4&
    Public Const KbdC_CVol2          As Long = KbdC_CVolMenu + 5&
    Public Const KbdC_CVol3          As Long = KbdC_CVolMenu + 6&
    Public Const KbdC_CVol4          As Long = KbdC_CVolMenu + 7&
    Public Const KbdC_CVol5          As Long = KbdC_CVolMenu + 8&
    Public Const KbdC_CVol6          As Long = KbdC_CVolMenu + 9&
    Public Const KbdC_CVol7          As Long = KbdC_CVolMenu + 10&
    Public Const KbdC_CVol8          As Long = KbdC_CVolMenu + 11&
    Public Const KbdC_CVol9          As Long = KbdC_CVolMenu + 12&
    Public Const KbdC_CVolFull       As Long = KbdC_CVolMenu + 13&
  Public Const KbdC_CMoreSetts       As Long = KbdC_CVolFull + 1&
Public Const KbdC_TToolsMenu         As Long = KbdC_CMoreSetts + 1&
  Public Const KbdC_OInternetRadio   As Long = KbdC_TToolsMenu + 1&
  Public Const KbdC_OInternetRadioRe As Long = KbdC_TToolsMenu + 2&
  Public Const KbdC_OInternetRadioHP As Long = KbdC_TToolsMenu + 3&
  Public Const KbdC_OAutoRFMenu      As Long = KbdC_TToolsMenu + 4&
    Public Const KbdC_OAutoRF        As Long = KbdC_OAutoRFMenu + 1&
    Public Const KbdC_OAutoRFAlt     As Long = KbdC_OAutoRFMenu + 2&
    Public Const KbdC_OAutoRFRem     As Long = KbdC_OAutoRFMenu + 3&
    Public Const KbdC_OAutoRFRemI    As Long = KbdC_OAutoRFMenu + 4&
    Public Const KbdC_OAutoRFSetup   As Long = KbdC_OAutoRFMenu + 5&
  Public Const KbdC_PGotoDir         As Long = KbdC_OAutoRFSetup + 1&
  Public Const KbdC_ODirMenu         As Long = KbdC_PGotoDir + 1&
    Public Const KbdC_ODirToggle     As Long = KbdC_ODirMenu + 1&
    Public Const KbdC_ODirInc        As Long = KbdC_ODirMenu + 2&
    Public Const KbdC_ODirDec        As Long = KbdC_ODirMenu + 3&
  Public Const KbdC_CPrevSongs       As Long = KbdC_ODirDec + 1&
  Public Const KbdC_OTimerMenu       As Long = KbdC_CPrevSongs + 1&
    Public Const KbdC_OTimerEdit     As Long = KbdC_OTimerMenu + 1&
    Public Const KbdC_OTimerImport   As Long = KbdC_OTimerMenu + 2&
    Public Const KbdC_OTimerExport   As Long = KbdC_OTimerMenu + 3&
    Public Const KbdC_OTimerClear    As Long = KbdC_OTimerMenu + 4&
  Public Const KbdC_OResetSnd        As Long = KbdC_OTimerClear + 1&
  Public Const KbdC_OVolCtrl         As Long = KbdC_OTimerClear + 2&
  
  Public Const KbdC_OPresetMenu      As Long = KbdC_OVolCtrl + 1&
    Public Const KbdC_OPresetSave    As Long = KbdC_OPresetMenu + 1&
    Public Const KbdC_OPresetLoad    As Long = KbdC_OPresetMenu + 2&
  Public Const KbdC_OSaveSetts       As Long = KbdC_OPresetLoad + 1&

Public Const KbdC_IInfoMenu          As Long = KbdC_OSaveSetts + 1&
  Public Const KbdC_IHelp            As Long = KbdC_IInfoMenu + 1&
  Public Const KbdC_IAbout           As Long = KbdC_IInfoMenu + 2&

Public Const KbdSplit As Long = KbdC_IAbout + 1& 'GKeys Splitter INDEX itself
  Public Const KbdSplitP As Long = KbdSplit - 1& ' Last item before Splitter
  Public Const KbdSplitN As Long = KbdSplit + 1& ' Next item after splitter

'Public xKeyS(KbdCountX) As Long

' GlobalKeySeperator = 109
Public Const KbdC_GPrev         As Long = KbdSplit + 1&
Public Const KbdC_GPlay         As Long = KbdC_GPrev + 1&
Public Const KbdC_GPlayPause    As Long = KbdC_GPrev + 2&
Public Const KbdC_GPause        As Long = KbdC_GPrev + 3&
Public Const KbdC_GStop         As Long = KbdC_GPrev + 4&
Public Const KbdC_GNext         As Long = KbdC_GPrev + 5&
Public Const KbdC_GEnd          As Long = KbdC_GPrev + 6&
Public Const KbdC_GRepSingle    As Long = KbdC_GPrev + 7&
Public Const KbdC_GRepAll       As Long = KbdC_GPrev + 8&
Public Const KbdC_GRepRnd       As Long = KbdC_GPrev + 9&
Public Const KbdC_GRepToggle    As Long = KbdC_GPrev + 10&
Public Const KbdC_GIntroMode    As Long = KbdC_GPrev + 11&
Public Const KbdC_GSeekB        As Long = KbdC_GPrev + 12&
Public Const KbdC_GSeekF        As Long = KbdC_GPrev + 13&
Public Const KbdC_GVolMenu      As Long = KbdC_GPrev + 14&
  Public Const KbdC_GVolUp      As Long = KbdC_GVolMenu + 1&
  Public Const KbdC_GVolDown    As Long = KbdC_GVolMenu + 2&
  Public Const KbdC_GVolMute    As Long = KbdC_GVolMenu + 3&
  Public Const KbdC_GVol1       As Long = KbdC_GVolMenu + 4&
  Public Const KbdC_GVol2       As Long = KbdC_GVolMenu + 5&
  Public Const KbdC_GVol3       As Long = KbdC_GVolMenu + 6&
  Public Const KbdC_GVol4       As Long = KbdC_GVolMenu + 7&
  Public Const KbdC_GVol5       As Long = KbdC_GVolMenu + 8&
  Public Const KbdC_GVol6       As Long = KbdC_GVolMenu + 9&
  Public Const KbdC_GVol7       As Long = KbdC_GVolMenu + 10&
  Public Const KbdC_GVol8       As Long = KbdC_GVolMenu + 11&
  Public Const KbdC_GVol9       As Long = KbdC_GVolMenu + 12&
  Public Const KbdC_GVolFull    As Long = KbdC_GVolMenu + 13&

Public Const KbdC_GPlayDef      As Long = KbdC_GVolFull + 1&
Public Const KbdC_GPlaySkp      As Long = KbdC_GVolFull + 2&
Public Const KbdC_GPlayEnd      As Long = KbdC_GVolFull + 3&
Public Const KbdC_GPlayNxt      As Long = KbdC_GVolFull + 4&
Public Const KbdC_GPrevSel      As Long = KbdC_GVolFull + 5&
Public Const KbdC_GNextSel      As Long = KbdC_GVolFull + 6&
Public Const KbdC_GPrevPage     As Long = KbdC_GVolFull + 7&
Public Const KbdC_GNextPage     As Long = KbdC_GVolFull + 8&
Public Const KbdC_GCurNSel      As Long = KbdC_GVolFull + 9&
Public Const KbdC_GRandSel      As Long = KbdC_GVolFull + 10&

Public Const KbdC_GIRadio       As Long = KbdC_GRandSel + 1&
Public Const KbdC_GIRadioRe     As Long = KbdC_GRandSel + 2&
Public Const KbdC_GIRadioHP     As Long = KbdC_GRandSel + 3&
Public Const KbdC_GAutoRF       As Long = KbdC_GRandSel + 4&
Public Const KbdC_GAutoRFAlt    As Long = KbdC_GRandSel + 5&
Public Const KbdC_GShowPlayer   As Long = KbdC_GRandSel + 6&
Public Const KbdC_GShowPlayerPS As Long = KbdC_GRandSel + 7&
Public Const KbdC_GShowMenu     As Long = KbdC_GRandSel + 8&
Public Const KbdC_GShowAltMenu  As Long = KbdC_GRandSel + 9&
Public Const KbdC_GShowVolMenu  As Long = KbdC_GRandSel + 10&
Public Const KbdC_GShowTitle    As Long = KbdC_GRandSel + 11&
' RemoveFile
  Public Const KbdC_GRemFile    As Long = KbdC_GShowTitle + 1&
  
Public Const KbdC_GDelFile      As Long = KbdC_GShowTitle + 2&
Public Const KbdC_GExplorer     As Long = KbdC_GShowTitle + 3&
' ResetSnd
Public Const KbdC_GResetSND     As Long = KbdC_GShowTitle + 4&
Public Const KbdC_GVolCtrl      As Long = KbdC_GShowTitle + 5&
Public Const KbdC_GQuit         As Long = KbdC_GShowTitle + 6&
Public Const KbdC_GAbortReading As Long = KbdC_GShowTitle + 7&

Public Const KbdCount As Long = KbdC_GAbortReading + 1& 'TotalCount
Public Const KbdCountX As Long = KbdCount - 1& 'Totalcount-1 -> 0-LastItem
Public xKey(KbdCountX) As Long
  Public Const KbdCountX_Minus_KbdSplitN As Long = KbdCountX - KbdSplitN
  'Public Const KbdC_GShowTitle_Fast As Long = KbdC_GShowTitle - KbdSplitN

Public Const KbdCTm_Extended As Long = 200&
Public Const KbdCTm_FShutDown       As Long = KbdCTm_Extended
Public Const KbdCTm_FHibernate      As Long = KbdCTm_Extended + 1&
Public Const KbdCTm_FStandby        As Long = KbdCTm_Extended + 2&
Public Const KbdCTm_FMonitoff       As Long = KbdCTm_Extended + 3&
Public Const KbdCTm_CPlay           As Long = KbdCTm_Extended + 4&
Public Const KbdCTm_CPause          As Long = KbdCTm_Extended + 5&
Public Const KbdCTm_CStop           As Long = KbdCTm_Extended + 6&
Public Const KbdCTm_CIntroModeOn    As Long = KbdCTm_Extended + 7&
Public Const KbdCTm_CIntroModeOff   As Long = KbdCTm_Extended + 8&
Public Const KbdCTm_PFindCurrent    As Long = KbdCTm_Extended + 9&
Public Const KbdCTm_OFadingOn       As Long = KbdCTm_Extended + 10&
Public Const KbdCTm_OFadingOff      As Long = KbdCTm_Extended + 11&
Public Const KbdCTm_OSpektrumOn     As Long = KbdCTm_Extended + 12&
Public Const KbdCTm_OSpektrumOff    As Long = KbdCTm_Extended + 13&
Public Const KbdCTm_OFileInfosOn    As Long = KbdCTm_Extended + 14&
Public Const KbdCTm_OFileInfosOff   As Long = KbdCTm_Extended + 15&
Public Const KbdCTm_OFollowSongOn   As Long = KbdCTm_Extended + 16&
Public Const KbdCTm_OFollowSongOff  As Long = KbdCTm_Extended + 17&
Public Const KbdCTm_ORemMissingOn   As Long = KbdCTm_Extended + 18&
Public Const KbdCTm_ORemMissingOff  As Long = KbdCTm_Extended + 19&
Public Const KbdCTm_ORemSkippedOn   As Long = KbdCTm_Extended + 20&
Public Const KbdCTm_ORemSkippedOff  As Long = KbdCTm_Extended + 21&
Public Const KbdCTm_ORemPlayedOn    As Long = KbdCTm_Extended + 22&
Public Const KbdCTm_ORemPlayedOff   As Long = KbdCTm_Extended + 23&
Public Const KbdCTm_ONoEndMode      As Long = KbdCTm_Extended + 24&
Public Const KbdCTm_OXFadeOn        As Long = KbdCTm_Extended + 25&
Public Const KbdCTm_OMDModeOff      As Long = KbdCTm_Extended + 26&
Public Const KbdCTm_OStopEachOn     As Long = KbdCTm_Extended + 27&
'Public Const KbdCTm_OEndModeOff     As Long = KbdCTm_Extended + 24&
'Public Const KbdCTm_ExtendedCountX As Long = KbdCTm_OEndModeOff
'Public Const KbdCTm_ExtendedCount As Long = KbdCTm_ExtendedCountX - 1&
