EnableExplicit

;MessageRequester("1", "2")
#TestIT = 0
#BASS_UseMidi = 1



CompilerIf #TestIT
  #Console = 1
  CompilerElse
  #Console = 0
  CompilerEndIf

; unicode with 2.4!!!  If VersionID > $20003
CompilerIf #BASS_UseMidi
  Import "kernel32.lib"
    FindFirstFileW.l(*ptrDirEx, *xType1)
    lstrcpyW(*ptrDirEx, *xType1)
    FindNextFileW(*xLong1, *xType1)
    GetModuleFileNameW(*Param1, *Mem, *Param2)
    GetModuleHandleW(*Param)
    GetSystemDirectoryW(*Mem, *Size)
    EndImport
  CompilerEndIf

CompilerIf #TestIT
  CompilerIf #Console
#ctSSLayer_CompiledFeature_NoNeedUnicodeConversion_AtoW = 0
#ctSSLayer_CompiledFeature_NoNeedUnicodeConversion_WtoA = 1
XIncludeFile "ctSSLayer_Common_FullDLL.pb"
CompilerEndIf
CompilerEndIf

; Copyright (C) 2002-2007 Jan Vorel
; This program is free software; you can redistribute it and/or modify
; it under the terms of the GNU General Public License as published by
; the Free Software Foundation; either version 2 of the License, or
; (at your option) any later version.
;
; This program is distributed in the hope that it will be useful,
; but WITHOUT ANY WARRANTY; without even the implied warranty of
; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
; GNU General Public License for more details.
;
; You should have received a copy of the GNU General Public License
; along with this program; if not, write to the Free Software
; Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
;
; If you have any questions, suggestions or bug reports about this product,
; contact me: info@ctuser.net; Do not contact me about general B.A.S.I.C.
; language or A.P.I. issues
;
; Still some division by zero / GrabError problems with FModEx
;
; Modified 2005 for BASS
; Currently supporting 2.02 / 2.03




Prototype.d ProtoBASS_ChannelBytes2Seconds24(Handle.l, Pos.q)
Prototype.f ProtoBASS_ChannelBytes2Seconds23(Handle.l, Pos.q)
Prototype.q ProtoBASS_ChannelSeconds2Bytes24(Handle.l, Pos.d)
Prototype.q ProtoBASS_ChannelSeconds2Bytes23(Handle.l, Pos.f)
Prototype.q ProtoBASS_ChannelGetLength23(Handle.l)
Prototype.q ProtoBASS_ChannelGetLength24(Handle.l, Mode.l)
Prototype.q ProtoBASS_ChannelGetPosition23(Handle.l)
Prototype.q ProtoBASS_ChannelGetPosition24(Handle.l, Mode.l)
Prototype.l ProtoBASS_ChannelSetPosition23(Handle.l, Pos.q)
Prototype.l ProtoBASS_ChannelSetPosition24(Handle.l, Pos.q, Mode.l)
Prototype.l ProtoBASS_ChannelSetAttribute24(Handle.l, attrib.l, Value.f)
Prototype.l ProtoBASS_ChannelSetAttributes23(Handle.l, frequ.w, Volume.w, Pan.w)
Prototype.l ProtoBASS_MusicLoad24(Mem.l, *File, offset.q, length.l, flags.l, frequ.l)
Prototype.l ProtoBASSCreateFile24(Mem.l, *File, offset.q, length.q, flags.l)
CompilerIf #BASS_UseMidi
  Prototype.l ProtoBASSCreateFileMidi24(Mem.l, *File, offset.q, length.q, flags.l, freq.l)
  CompilerEndIf

Import "kernel32.lib"
  CreateFileW.l (*lpFileName, dwDesiredAccess.l, dwShareMode.l, *lpSecurityAttributes, dwCreationDisposition.l, dwFlagsAndAttributes.l, hTemplateFile.l)
  EndImport


ProcedureDLL AttachProcess(Instance)
  ;OpenConsole()
  Global *BassDLL

  #BASS_POS_BYTE = 0
  #BASS_ATTRIB_VOL = 2
  #BASS_UNICODE = $80000000
  #OutPutListMax = 32
  Global OutPutListCount.l
  CompilerIf #ctSSLayer_CompiledFeature_GetDeviceNameW
    Global Dim OutPutList.l(#OutPutListMax)
    CompilerElse
    Global Dim OutPutList.s(#OutPutListMax)
    CompilerEndIf

  Global InfoString.s
  CompilerIf #ctSSLayer_CompiledFeature_NoNeedUnicodeConversion_AtoW = 0
    Global InfoStringW.l ;= AllocateMemory(1024)
    CompilerEndIf
  
  Structure ctSSSongInfoStruct
    FormatOK.l
    Format_Frequency.l
    Format_BitRate.l
    Format_Channels.l
    Format_VBR.l
    Format_QualityMulti.l
    TagOK.l
    Tag_Year.l
    Tag_TrackID.l
    Tag_Artist.l
    Tag_Title.l
    Tag_Album.l
    EndStructure


  ;CompilerIf #ctSSLayer_CompiledFeature_Spectrum
  ;  #ctSSLayer_SpectrumArrayCountX = #ctSSLayer_SpectrumArrayCount - 1
  ;  CompilerEndIf

  #ctSSLayer_MaxIDs = 16
  #ctSSLayer_MaxIDsX = #ctSSLayer_MaxIDs - 1
  #KeepAliveTime = 1000

  CompilerIf #ctSSLayer_CompiledFeature_ReadTags
    Structure BASS_CHANNELINFO
      freq.l
      chans.l
      flags.l
      ctype.l
      origres.l
      hPlugin.l
      sample.l
      *filename
      EndStructure
    
    Global MemAlbum.l
    Global MemArtst.l
    Global MemTitle.l
    Global TagRVersion.l
    CompilerEndIf
  
  CompilerIf #BASS_UseMidi
    Structure WIN32_FIND_DATAW Extends WIN32_FIND_DATA
      ExtraBytes.b[275]
      EndStructure
    
    Structure BASS_MIDI_FONT
      hFont.l
      preset.l
      bank.l
      EndStructure

    Global IsUnicode.l
    Global *SoundFontFile
    Global SoundFontSize.l
    Global hSoundFontFile.l
    CompilerEndIf

  CompilerIf #ctSSLayer_CompiledFeature_CD_AndOr_CDDA
    ;Structure BASS_CD_INFO
      ;vendor.l        ; manufacturer
      ;product.l       ; model
      ;rev.l           ; revision
      ;letter.l        ; drive letter
      ;rwflags.l       ; read/write capability flags
      ;canopen.l       ; BASS_CD_DOOR_OPEN/CLOSE is supported?
      ;canlock.l       ; BASS_CD_DOOR_LOCK/UNLOCK is supported?
      ;maxspeed.l      ; max read speed (KB/s)
      ;cache.l         ; cache size (KB)
      ;cdtext.l        ; can read CD-TEXT
      ;EndStructure
    CompilerEndIf

    
    
  Global *BASS_StreamCreateFile
  Global *BASS_ChannelPlay
  Global *BASS_StreamFree
  Global *BASS_ChannelPause
  Global *BASS_ChannelIsActive
  Global *BASS_MusicLoad23
  Global *BASS_MusicSetAttribute23
  Global *BASS_MusicFree
  Global *BASS_ChannelGetData
  CompilerIf #ctSSLayer_CompiledFeature_ReadTags
    Global *BASS_ChannelGetInfo
    CompilerEndIf
  
  Global xSystem.l

  CompilerIf #ctSSLayer_CompiledFeature_CD_AndOr_CDDA
    Global IsCDing.l
    CompilerEndIf

  #BASS_ACTIVE_STOPPED = 0
  #BASS_ACTIVE_STALLED = 2
  #BASS_ATTRIB_MUSIC_PANSEP = $101

  Structure tSong
    Mode.l
    Pointer.l
    ExtraA.l
    Size.l
    CompilerIf #ctSSLayer_CompiledFeature_ReadTags
      Format_QualityMulti.f
      CompilerEndIf
    FileSize.l
    ShouldPlay.l
    EndStructure

  ;Global Dim Song.tSong(#ctSSLayer_MaxIDsX)
  Global xSysPath.s
  Global xNoDirectX.l
  Global VersionID.l
  Global RevisionID.l
  
  Global *BASS_MPC
  Global *BASS_MPC_StreamCreateFile
  Global *BASS_WMA
  Global *BASS_WMA_StreamCreateFile
  Global *BASS_AAC
  Global *BASS_AAC_StreamCreateFile  
  ;Global *BASS_MP4_StreamCreateFile
  Global *BASS_AC3
  Global *BASS_AC3_StreamCreateFile
  Global *BASS_APE
  Global *BASS_APE_StreamCreateFile
  Global *BASS_FLAC
  Global *BASS_FLAC_StreamCreateFile
  Global *BASS_WV
  Global *BASS_WV_StreamCreateFile
  CompilerIf #ctSSLayer_CompiledFeature_ReadTags
    Global *TAGS
    Global *TAGS_Read
    CompilerEndIf
  CompilerIf #BASS_UseMidi    
    Global *BASS_MIDI
    Global *BASS_MIDI_StreamCreateFile
    CompilerEndIf
  CompilerIf #ctSSLayer_CompiledFeature_CD_AndOr_CDDA
    Global *BASS_CD
    Global *BASS_CD_StreamCreateFile
    CompilerEndIf

  CompilerIf #Console
    OpenConsole()
    CompilerEndIf

  EndProcedure

XIncludeFile "ctSSLayer_Common01.pb"
XIncludeFile "ctSSLayer_Common_TestForDll.pb"

Procedure TestForDLL_BASS_Ex(DllFilename.s, *ptrToLibPtr, *ptrToFunctionPtr, FunctionName.s)
  Define.l xLong1
  Define.l xLong2
  
  ;Debug "Ver: " + Hex(VersionID) + " " + Str(VersionID) + " File: " + DllFilename
  If TestForDll(DllFilename, VersionID, VersionID)
    xLong1 = OpenLibrary(#PB_Any, DllFilename)
    ;Debug "  OpenLibrary (" + DllFilename + "): " + Str(xLong1)
    If xLong1
      xLong2 = GetFunction(xLong1, FunctionName)
      ;Debug "GetFunction: (" + FunctionName + ")" + Str(xLong1)
      If xLong2
        PokeL(*ptrToLibPtr, xLong1)
        PokeL(*ptrToFunctionPtr, xLong2)
        Else
        CloseLibrary(xLong1)
        EndIf
      EndIf
    EndIf
  EndProcedure

CompilerIf #BASS_UseMidi    
  ProcedureDLL.l FindBestSoundFontW(*ptrDirEx, PatchAt)
    Define.l xLong1
    Define.l xBool1
    Define.WIN32_FIND_DATAW xType1
  
  ;Debug PeekS(*ptrDirEx, -1, #PB_Unicode)
    xType1\dwFileAttributes = $2F
    xLong1 = FindFirstFileW(*ptrDirEx, @xType1)
    If Not xLong1 = -1
      Repeat
        ;Debug "Found: " + PeekS(@xType1\cFileName[0], -1, #PB_Unicode)
        If xType1\nFileSizeLow > SoundFontSize
          lstrcpyW(*ptrDirEx + PatchAt, @xType1\cFileName[0])
          SoundFontSize = xType1\nFileSizeLow
          xBool1 = 1
          EndIf
        Until FindNextFileW(xLong1, @xType1) = 0
      FindClose_(xLong1)
      EndIf
    If xBool1
      If *SoundFontFile
        FreeMemory(*SoundFontFile)
        EndIf
      *SoundFontFile = *ptrDirEx
      Else
      FreeMemory(*ptrDirEx)
      EndIf
    EndProcedure
  
  ProcedureDLL.l FindBestSoundFontA(*ptrDirEx, PatchAt)
    Define.l xLong1
    Define.l xBool1
    Define.WIN32_FIND_DATA xType1
    
    xType1\dwFileAttributes = $2F
    xLong1 = FindFirstFile_(*ptrDirEx, @xType1)
    If Not xLong1 = -1
      Repeat
        ;Debug "Found: " + PeekS(@xType1\cFileName[0])
        If xType1\nFileSizeLow > SoundFontSize
          lstrcpy_(*ptrDirEx + PatchAt, @xType1\cFileName[0])
          SoundFontSize = xType1\nFileSizeLow
          xBool1 = 1
          EndIf
        Until FindNextFile_(xLong1, @xType1) = 0
      FindClose_(xLong1)
      EndIf
    If xBool1
      If *SoundFontFile
        FreeMemory(*SoundFontFile)
        EndIf
      *SoundFontFile = *ptrDirEx
      Else
      FreeMemory(*ptrDirEx)
      EndIf
    EndProcedure

  Procedure GetSoundFont()
    Define.l xStep
    Define.l xLong1
    Define.OSVERSIONINFO xType1

    xType1\dwOSVersionInfoSize = SizeOf(xType1)
    If GetVersionEx_(xType1) ; <> 0
      If xType1\dwPlatformId = 2
        IsUnicode = #True
        EndIf
      EndIf
    
    For xStep = 0 To 1
      SoundFontSize = 0
      If IsUnicode
        Define *Mem = AllocateMemory(2060)
        If *Mem
          If xStep
            xLong1 = GetModuleFileNameW(GetModuleHandleW(0), *Mem, 2048)
            EnableASM
              MOV eax, *Mem
              PUSH ebx
              MOV bx, 92
              DEC eax
              DEC eax
              XOr edx, edx
    !StripWLoopW1:
              INC eax
              INC eax
              MOV cx, [eax]
              Or cx, cx
              !JZ StripWExitW1
              CMP cx, bx
              !JNE StripWLoopW1
              MOV edx, eax
              !JMP StripWLoopW1
    !StripWExitW1:
              POP ebx
              MOV xLong1, edx
              DisableASM
            If xLong1
              ;PokeB(xLong1 + 1, 0)
              xLong1 = xLong1 - *Mem + 2
              EndIf
            Else
            xLong1 = GetSystemDirectoryW(*Mem, 2048)
            If xLong1
              xLong1 * 2
              If Not PeekW(*Mem + xLong1 - 2) = 92
                PokeW(*Mem + xLong1, 92)
                xLong1 + 2
                EndIf
              EndIf
            EndIf
          If xLong1
;    Debug PeekS(*Mem)
            Define.s xChar1 = PeekS(*Mem, -1, #PB_Unicode)
            PokeS(*Mem + xLong1, "*.sf2", -1, #PB_Unicode)
;    Debug PeekS(*Mem)
            FindBestSoundFontW(*Mem, xLong1)
            Else
            FreeMemory(*Mem)
            EndIf
          EndIf
        Else
        Define *Mem = AllocateMemory(1030)
        If *Mem
          If xStep
            xLong1 = GetModuleFileName_(GetModuleHandle_(0), *Mem, 1024)
            ;Debug *Mem
            EnableASM
              MOV eax, *Mem
              XOr ecx, ecx
              MOV ch, 92
              DEC eax
              XOr edx, edx
    !StripALoopA1:
              INC eax
              MOV cl, [eax]
              Or cl, cl
              !JZ StripAExitA1
              CMP cl, ch
              !JNE StripALoopA1
              MOV edx, eax
              !JMP StripALoopA1
    !StripAExitA1:
              MOV xLong1, edx
              DisableASM
            If xLong1
              ;PokeB(xLong1 + 1, 0)
              xLong1 = xLong1 - *Mem + 1
              EndIf
            Else
            xLong1 = GetSystemDirectory_(*Mem, 1024)
            If xLong1
              If Not PeekB(*Mem + xLong1 - 1) = 92
                PokeB(*Mem + xLong1, 92)
                xLong1 + 1
                EndIf
              EndIf
            EndIf
          If xLong1
;    Debug PeekS(*Mem)
            Define.s xChar1 = PeekS(*Mem)
            PokeS(*Mem + xLong1, "*.sf2")
;    Debug PeekS(*Mem)
            FindBestSoundFontA(*Mem, xLong1)
            Else
            FreeMemory(*Mem)
            EndIf
          EndIf
        EndIf
      Next
    EndProcedure
  CompilerEndIf

Procedure GetPreFuncs()
  Static HasDone.l
  CompilerIf #BASS_UseMidi
    Define.BASS_MIDI_FONT xType1
    CompilerEndIf

  If Not HasDone
    HasDone = 1
    
    TestForDLL_BASS_Ex("bass_mpc.dll", @*BASS_MPC, @*BASS_MPC_StreamCreateFile, "BASS_MPC_StreamCreateFile")
    If TestForDll(xSysPath + "wmasf.dll", 7.0001)
      TestForDLL_BASS_Ex("basswma.dll", @*BASS_WMA, @*BASS_WMA_StreamCreateFile, "BASS_WMA_StreamCreateFile")
      EndIf
    TestForDLL_BASS_Ex("bass_aac.dll", @*BASS_AAC, @*BASS_AAC_StreamCreateFile, "BASS_AAC_StreamCreateFile")
    ;If *BASS_AAC_StreamCreateFile
    ;  *BASS_MP4_StreamCreateFile = GetFunction(*BASS_AAC, "BASS_MP4_StreamCreateFile")
    ;  Else
    ;  TestForDLL_BASS_Ex("bass_aac.dll", @*BASS_AAC, @*BASS_MP4_StreamCreateFile, "BASS_MP4_StreamCreateFile")
    ;  EndIf
    TestForDLL_BASS_Ex("bass_ac3.dll", @*BASS_AC3, @*BASS_AC3_StreamCreateFile, "BASS_AC3_StreamCreateFile")
    TestForDLL_BASS_Ex("bass_ape.dll", @*BASS_APE, @*BASS_APE_StreamCreateFile, "BASS_APE_StreamCreateFile")
    TestForDLL_BASS_Ex("bassflac.dll", @*BASS_FLAC, @*BASS_FLAC_StreamCreateFile, "BASS_FLAC_StreamCreateFile")
    TestForDLL_BASS_Ex("basswv.dll", @*BASS_WV, @*BASS_WV_StreamCreateFile, "BASS_WV_StreamCreateFile")
    CompilerIf #ctSSLayer_CompiledFeature_ReadTags
      *TAGS = OpenLibrary(#PB_Any, "tags.dll")
      ;Debug "  OpenLibrary (" + "tags.dll" + "): " + Str(*TAGS)
      If *TAGS
        *TAGS_Read = GetFunction(*TAGS, "TAGS_GetVersion")
        If *TAGS_Read
          TagRVersion = CallFunctionFast(*TAGS_Read)
          *TAGS_Read = GetFunction(*TAGS, "TAGS_Read")
          EndIf
        
        ;Debug "GetFunction: (" + "TAGS_Read" + ")" + Str(*TAGS)
        If *TAGS_Read = 0
          CloseLibrary(*TAGS)
          *TAGS = 0
          EndIf
        EndIf
      ;TestForDLL_BASS_Ex("tags.dll", @*TAGS, @*TAGS_Read, "TAGS_Read")
      CompilerEndIf
    
    CompilerIf #BASS_UseMidi    
      TestForDLL_BASS_Ex("bassmidi.dll", @*BASS_MIDI, @*BASS_MIDI_StreamCreateFile, "BASS_MIDI_StreamCreateFile")
      If *BASS_MIDI_StreamCreateFile
        GetSoundFont()
        If *SoundFontFile
          If IsUnicode
;Debug "Wide: " + PeekS(*SoundFontFile, -1, #PB_Unicode)
            xType1\hFont = CallFunction(*BASS_MIDI, "BASS_MIDI_FontInit", *SoundFontFile, #BASS_UNICODE)
            Else
;Debug "Ansi: " + PeekS(*SoundFontFile)
;Debug GetFunction(*BASS_MIDI, "BASS_MIDI_FontInit")
            xType1\hFont = CallFunction(*BASS_MIDI, "BASS_MIDI_FontInit", *SoundFontFile, 0)
            EndIf
;If xType1\hFont = 0
;  Debug "Errorcode: " + Str(CallFunction(*BassDLL,"BASS_ErrorGetCode"))
;  EndIf

          If xType1\hFont
            xType1\preset= -1
            ;xType1\bank = 0
            If CallFunction(*BASS_MIDI, "BASS_MIDI_StreamSetFonts", 0, @xType1, 1)
              hSoundFontFile = xType1\hFont
              Goto FontSuccess
              EndIf
            CallFunction(*BASS_MIDI, "BASS_MIDI_FontFree", xType1\hFont)
            EndIf
          EndIf
        CloseLibrary(*BASS_MIDI)
        *BASS_MIDI_StreamCreateFile = 0
        EndIf
FontSuccess:
      CompilerEndIf
    CompilerIf #ctSSLayer_CompiledFeature_CD_AndOr_CDDA
      TestForDLL_BASS_Ex("basscd.dll", @*BASS_CD, @*BASS_CD_StreamCreateFile, "BASS_CD_StreamCreateFile")
      CompilerEndIf
    EndIf
  EndProcedure

Procedure GetFuncs()
  *BASS_ChannelPlay = GetFunction(*BassDLL, "BASS_ChannelPlay")
  *BASS_StreamFree = GetFunction(*BassDLL, "BASS_StreamFree")
  *BASS_ChannelPause = GetFunction(*BassDLL, "BASS_ChannelPause")
  *BASS_ChannelIsActive = GetFunction(*BassDLL, "BASS_ChannelIsActive")
  *BASS_MusicFree = GetFunction(*BassDLL, "BASS_MusicFree")
  *BASS_ChannelGetData = GetFunction(*BassDLL, "BASS_ChannelGetData")
  CompilerIf #ctSSLayer_CompiledFeature_ReadTags
    *BASS_ChannelGetInfo = GetFunction(*BassDLL, "BASS_ChannelGetInfo")
    CompilerEndIf

  If VersionID > $20003
    Global BASS_ChannelGetLength24.ProtoBASS_ChannelGetLength24 = GetFunction(*BassDLL, "BASS_ChannelGetLength")
    Global BASS_ChannelGetPosition24.ProtoBASS_ChannelGetPosition24 = GetFunction(*BassDLL, "BASS_ChannelGetPosition")
    Global BASS_ChannelSetPosition24.ProtoBASS_ChannelSetPosition24 = GetFunction(*BassDLL, "BASS_ChannelSetPosition")
    Global BASS_MusicLoad24.ProtoBASS_MusicLoad24 = GetFunction(*BassDLL, "BASS_MusicLoad")
    Global BASS_ChannelBytes2Seconds24.ProtoBASS_ChannelBytes2Seconds24 = GetFunction(*BassDLL, "BASS_ChannelBytes2Seconds")
    Global BASS_ChannelSeconds2Bytes24.ProtoBASS_ChannelSeconds2Bytes24 = GetFunction(*BassDLL, "BASS_ChannelSeconds2Bytes")
    Global BASS_ChannelSetAttribute24.ProtoBASS_ChannelSetAttribute24 = GetFunction(*BassDLL, "BASS_ChannelSetAttribute")
    Else
    Global BASS_ChannelGetLength23.ProtoBASS_ChannelGetLength23 = GetFunction(*BassDLL, "BASS_ChannelGetLength")
    Global BASS_ChannelGetPosition23.ProtoBASS_ChannelGetPosition23 = GetFunction(*BassDLL, "BASS_ChannelGetPosition")
    Global BASS_ChannelSetPosition23.ProtoBASS_ChannelSetPosition23 = GetFunction(*BassDLL, "BASS_ChannelSetPosition")
    *BASS_MusicLoad23 = GetFunction(*BassDLL, "BASS_MusicLoad")
    Global BASS_ChannelBytes2Seconds23.ProtoBASS_ChannelBytes2Seconds23 = GetFunction(*BassDLL, "BASS_ChannelBytes2Seconds")
    Global BASS_ChannelSeconds2Bytes23.ProtoBASS_ChannelSeconds2Bytes23 = GetFunction(*BassDLL, "BASS_ChannelSeconds2Bytes")
    Global BASS_ChannelSetAttributes23.ProtoBASS_ChannelSetAttributes23 = GetFunction(*BassDLL, "BASS_ChannelSetAttributes")
    EndIf
  *BASS_StreamCreateFile = GetFunction(*BassDLL, "BASS_StreamCreateFile")
  EndProcedure

Procedure ClearOutputList()
  Define.l xLong1
  
  For xLong1 = 0 To OutPutListCount - 1
    CompilerIf #ctSSLayer_CompiledFeature_GetDeviceNameW
      If OutPutList(xLong1)
        FreeMemory(OutPutList(xLong1))
        OutPutList(xLong1) = 0
        EndIf
      CompilerElse
      OutPutList(xLong1) = ""
      CompilerEndIf
    Next
  OutPutListCount = 0
  EndProcedure

ProcedureDLL DetachProcess(Instance)
  If *BassDLL
    If xSystem
      ; Calling after plugin unloads gets an error... so some plugins do?
      CallFunction(*BassDLL, "BASS_Free")
      EndIf
    If *BASS_MPC_StreamCreateFile: CloseLibrary(*BASS_MPC): EndIf
    If *BASS_WMA_StreamCreateFile: CloseLibrary(*BASS_WMA): EndIf
    ;If *BASS_AAC_StreamCreateFile Or *BASS_MP4_StreamCreateFile: CloseLibrary(*BASS_AAC): EndIf
    If *BASS_AAC_StreamCreateFile: CloseLibrary(*BASS_AAC): EndIf
    If *BASS_AC3_StreamCreateFile: CloseLibrary(*BASS_AC3): EndIf
    If *BASS_APE_StreamCreateFile: CloseLibrary(*BASS_APE): EndIf
    If *BASS_FLAC_StreamCreateFile: CloseLibrary(*BASS_FLAC): EndIf
    If *BASS_WV_StreamCreateFile: CloseLibrary(*BASS_WV): EndIf
    CompilerIf #BASS_UseMidi        
      If *BASS_MIDI_StreamCreateFile
        ;If hSoundFontFile
          CallFunction(*BASS_MIDI, "BASS_MIDI_FontFree", hSoundFontFile)
          ;EndIf
        CloseLibrary(*BASS_MIDI)
        EndIf
      CompilerEndIf
    
    CompilerIf #ctSSLayer_CompiledFeature_ReadTags
      If *TAGS_Read: CloseLibrary(*TAGS): EndIf
      CompilerEndIf
    CompilerIf #ctSSLayer_CompiledFeature_CD_AndOr_CDDA
      If *BASS_CD_StreamCreateFile: CloseLibrary(*BASS_CD): EndIf
      CompilerEndIf
    CloseLibrary(*BassDLL)
    EndIf
  ;CloseConsole()
  CompilerIf #Console
    CloseConsole()
    CompilerEndIf
  ClearOutputList()
  EndProcedure

ProcedureDLL AttachThread(Instance)
  EndProcedure

ProcedureDLL DetachThread(Instance)
  EndProcedure

ProcedureDLL.l ctSSLayer_CanUseItem(Index.l)
  Define.l ctSSLayer_CanUseItem

  Select Index
CompilerIf #ctSSLayer_CompiledFeature_CD_AndOr_CDDA
    Case 0 ; cdda
      ctSSLayer_CanUseItem = 1
    Case 1 ; jitter
      ctSSLayer_CanUseItem = 0
    Case 2 ; runtimecdda/jitter update
      ctSSLayer_CanUseItem = 0
CompilerEndIf
    Case 3 ; checkaccuratestreams
      ctSSLayer_CanUseItem = 2
CompilerIf #ctSSLayer_CompiledFeature_Spectrum
    Case 4 ; UseSpectrum   (disabled / 1=mono / 2=stereo)
      ctSSLayer_CanUseItem = 1
CompilerEndIf
;    Case 5 ' UseGetCDDtracks
;      ctSSLayer_CanUseItem = 0&
    Case 6 ; ModuleTimeHandling:
      ; 1 = Patterns
      ; 2 = Elapsed time (only)
      ; 4 = Real times
      ctSSLayer_CanUseItem = 4
    Case 7 ; maxDeviceCount
      ctSSLayer_CanUseItem = OutPutListCount
;    Case 9 ; MidiXFade
;      ctSSLayer_CanUseItem = 0 ;testing
CompilerIf #ctSSLayer_CompiledFeature_CD_AndOr_CDDA
    Case $A ; SupportsCD Or CDDA (0/1)
      If *BASS_CD_StreamCreateFile
        ctSSLayer_CanUseItem = 1
        EndIf
      ;ctSSLayer_CanUseItem = 1
CompilerEndIf
    Case $C ; KeepAliveTime: leave channel stopped before unloading (buffer!)
      ctSSLayer_CanUseItem = #KeepAliveTime
    Case $D      ;#ctSSLayer_MaxIDs ; for future use, currently fixed
      ctSSLayer_CanUseItem = #ctSSLayer_MaxIDs
CompilerIf #ctSSLayer_CompiledFeature_RefreshDeviceList
    ;Case $E
CompilerEndIf
;CompilerIf #ctSSLayer_CompiledFeature_EndCallBack
;    Case $10
;    Case $11
;    Case $12
;CompilerEndIf

    Case $20 ; ctSSLayer_Useable
      ;    10 = should update
      ;    11 = untested
      ;    12 = new & untested
      ;    13 = hasrestrictions, up/downgrade

      ;  < 20 = ok

      ;    20 (DirectX missing)
      ;    21 (DirectX to old (or missing))
      ;    30 = to old
      ;    31 = incompatible
      ;    32 = to new
      ;    90 = cannot load (generic something missing)
      ;         should have high priority!


      ; +$1000000 = retry (dll not found or can retry)
      Select VersionID
        Case 0, -1
          ctSSLayer_CanUseItem = 90
        Case $20002, $20003, $20004
          If xNoDirectX
            ctSSLayer_CanUseItem = 21
            ;Else
            ;ctSSLayer_CanUseItem = $0
            EndIf
        Case 0 To $20001
          ctSSLayer_CanUseItem = 30
        Default
          ctSSLayer_CanUseItem = 32
        EndSelect
    EndSelect
  ProcedureReturn ctSSLayer_CanUseItem
  EndProcedure

ProcedureDLL ctSSLayer_Close(Fast.l)
  CompilerIf #ctSSLayer_CompiledFeature_CD_AndOr_CDDA
    ;If IsCDing
    ;  EndIf
    CompilerEndIf
  CallFunction(*BassDLL, "BASS_Free")
  xSystem = 0
  EndProcedure

ProcedureDLL.l ctSSLayer_DllRelease()
  If *BassDLL
    CloseLibrary(*BassDLL)
    *BassDLL = 0
    EndIf
  EndProcedure

CompilerIf #ctSSLayer_CompiledFeature_GetDeviceFromSSLID
  CompilerIf #ctSSLayer_CompiledFeature_GetDeviceFromSSLIDA
  ProcedureDLL.l ctSSLayer_GetDeviceFromSSLIDA(*SSLID)
  CompilerElse
  Procedure.l ctSSLayer_GetDeviceFromSSLIDA(*SSLID)
  CompilerEndIf
    Define.l Result
    Define.s xChar1

    Result = -1
    If *SSLID
      xChar1 = LCase(PeekS(*SSLID))
      If Left(xChar1, 5) = "bass_"
        Result = Val(Mid(xChar1, 6))
        If Result < 0 Or Result >= OutPutListCount
          Result = -1
          EndIf
        EndIf
      EndIf
    ProcedureReturn Result

    CompilerIf #ctSSLayer_CompiledFeature_GetDeviceFromSSLIDA = 1
    EndProcedure
    CompilerElse
    EndProcedure
    CompilerEndIf
  CompilerEndIf

XIncludeFile "ctSSLayer_Common_GetDeviceFromSSLIDW.pb" ;- ctSSLayer_GetDeviceFromSSLIDW

CompilerIf #ctSSLayer_CompiledFeature_GetDeviceSSLID
  CompilerIf #ctSSLayer_CompiledFeature_GetDeviceSSLIDA
  ProcedureDLL.l ctSSLayer_GetDeviceSSLIDA(DeviceID.l)
  CompilerElse
  Procedure.l ctSSLayer_GetDeviceSSLIDA(DeviceID.l)
  CompilerEndIf
    
    If DeviceID >= 0 And DeviceID < OutPutListCount
      InfoString = "bass_" + Str(DeviceID)
      ProcedureReturn @InfoString
      EndIf

  CompilerIf #ctSSLayer_CompiledFeature_GetDeviceSSLIDA
    EndProcedure
  CompilerElse
    EndProcedure
  CompilerEndIf
  CompilerEndIf

XIncludeFile "ctSSLayer_Common_GetDeviceSSLIDW.pb" ;- ctSSLayer_GetDeviceSSLIDW

CompilerIf #ctSSLayer_CompiledFeature_GetDeviceNameA
  ProcedureDLL.l ctSSLayer_GetDeviceNameA(DeviceID, *Flags)
    If DeviceID >= 0 And DeviceID < OutPutListCount
      If *Flags: PokeL(*Flags, 0): EndIf
      CompilerIf #ctSSLayer_CompiledFeature_GetDeviceNameW
        If OutPutList(DeviceID) = 0
          ProcedureReturn 0
          EndIf
        InfoString = PeekS(OutPutList(DeviceID),-1,#PB_Unicode)
        CompilerElse
        InfoString = OutPutList(DeviceID)
        CompilerEndIf
      ProcedureReturn @InfoString
      EndIf
    EndProcedure
  CompilerEndIf

CompilerIf #ctSSLayer_CompiledFeature_GetDeviceNameW
  ProcedureDLL.l ctSSLayer_GetDeviceNameW(DeviceID, *Flags)
    If DeviceID >= 0 And DeviceID < OutPutListCount
      If *Flags: PokeL(*Flags, 0): EndIf
      ProcedureReturn OutPutList(DeviceID)
      EndIf
    ProcedureReturn 0
    EndProcedure
  CompilerEndIf

CompilerIf #ctSSLayer_CompiledFeature_GetInfoStringA Or #ctSSLayer_CompiledFeature_GetInfoStringW
  IncludeFile "Common_VerQueryValue.pb"
  ;IncludeFile "ctSSLayer_Common_GetFileVersionEx.pb"
  
  Procedure.s GetCopyRightFromFile(Filename.s)
    ;Define.s Result
    Define.s xChar1
    Define.s xChar2
    Define *hMem
    
    *hMem = GetFileVersionInfo(Filename)
    If *hMem
  ;    xChar1 = Trim(GetFileVersionFieldEx(Filename, #GetFileVersionField_CompanyName))
      ;XDebug ("Comments", *hMem, #GetFileVersionField_Comments)
      ;XDebug ("CompanyName", *hMem, #GetFileVersionField_CompanyName)
      ;XDebug ("FileDesc", *hMem, #GetFileVersionField_FileDesc)
      ;XDebug ("InternalName", *hMem, #GetFileVersionField_InternalName)
      ;XDebug ("LegalCopyright", *hMem, #GetFileVersionField_LegalCopyright)
      
      xChar1 = Trim(VerQueryValue(*hMem, #GetFileVersionField_LegalCopyright))
      If Left(xChar1, 10) = "Copyright "
        xChar1 = LTrim(Mid(xChar1, 11))
        EndIf
      If Left(xChar1, 1) = Chr(169)
        xChar1 = LTrim(Mid(xChar1, 2))
        EndIf
      If Right(xChar1, 20) = "Un4seen Developments"
        xChar1 = xChar1 + " Ltd. All rights reserved."
        EndIf
      If Right(xChar1, 8) = "MaresWEB"
        xChar1 = xChar1 + " (http://www.maresweb.de). All rights reserved"
        EndIf
      If Len(xChar1) < 12
        xChar2 = Trim(VerQueryValue(*hMem, #GetFileVersionField_CompanyName))
        If xChar2
          If xChar2 = "Un4seen Developments"
            xChar2 = xChar2 + " Ltd. All rights reserved."
            EndIf
          If xChar2 = "MaresWEB"
            xChar2 = xChar2 + " (http://www.maresweb.de). All rights reserved"
            EndIf
          If xChar1
            xChar1 = xChar1 + ", " + xChar2
            Else
            xChar1 = xChar2
            EndIf
          EndIf
        EndIf
  
      If xChar1
        ;Debug Caption + " / " + Mid(Filename, Len(Filename) - FindString(ReverseString(Filename), "\", 1) + 2) + ": " + xChar1
        xChar1 = "Copyright " + xChar1
        EndIf
      
      xChar2 = Trim(VerQueryValue(*hMem, #GetFileVersionField_FileVersion))
      If Left(xChar1, 8) = "Version "
        xChar2 = LTrim(Mid(xChar2, 9))
        EndIf
      ;If Not xChar2
      ;  Define.l xLong1
      ;  Define.l xLong2 = GetFileVersionEx(Filename, @xLong1)
      ;  Debug Hex(xLong2) + " / " + Hex(xLong1)
      ;  EndIf
      If xChar2
        If xChar1
          xChar1 = "Version " + xChar2 + "; " + xChar1
          Else
          xChar1 = "Version " + xChar2
          EndIf
        EndIf
      
      ;If xChar1
       ; ;Debug Caption + " / " + Mid(Filename, Len(Filename) - FindString(ReverseString(Filename), "\", 1) + 2) + ": " + xChar1
       ; ;Debug xChar1
       ; ;Else
       ; ;Debug "********* Fail Copyright *****************************" + Mid(Filename, Len(Filename) - FindString(ReverseString(Filename), "\", 1) + 2)
       ; EndIf
  
      ;XDebug ("LegalTrademarks", *hMem, #GetFileVersionField_LegalTrademarks)
      ;XDebug ("OriginalFilename", *hMem, #GetFileVersionField_OriginalFilename)
      ;XDebug ("PrivateBuild", *hMem, #GetFileVersionField_PrivateBuild)
      ;XDebug ("ProductName", *hMem, #GetFileVersionField_ProductName)
  ;  XDebug ("ProductVersion", *hMem, #GetFileVersionField_ProductVersion)
      ;XDebug ("SpecialBuild", *hMem, #GetFileVersionField_SpecialBuild)
      
      FreeFileVersionInfo(*hMem)
      ProcedureReturn xChar1
      EndIf
    EndProcedure
  
  CompilerIf 0
    Procedure.s GetCopyRightFromBASS()
    Define.s xChar1
    Define.s xChar2
    Define *hMem
    
    *hMem = GetFileVersionInfo("bass.dll")
    If *hMem
      xChar1 = Trim(VerQueryValue(*hMem, #GetFileVersionField_LegalCopyright))
      If Left(xChar1, 10) = "Copyright "
        xChar1 = LTrim(Mid(xChar1, 11))
        EndIf
      If Left(xChar1, 1) = Chr(169)
        xChar1 = LTrim(Mid(xChar1, 2))
        EndIf
      If Right(xChar1, 20) = "Un4seen Developments"
        xChar1 = xChar1 + " Ltd. All rights reserved."
        EndIf
      If Len(xChar1) < 12
        xChar2 = Trim(VerQueryValue(*hMem, #GetFileVersionField_CompanyName))
        If xChar2
          If xChar2 = "Un4seen Developments"
            xChar2 = xChar2 + " Ltd. All rights reserved."
            EndIf
          If xChar1
            xChar1 = xChar1 + ", " + xChar2
            Else
            xChar1 = xChar2
            EndIf
          EndIf
        EndIf
  
      If xChar1
        xChar1 = "Copyright " + xChar1
        EndIf
      
      FreeFileVersionInfo(*hMem)
      ProcedureReturn xChar1
      EndIf
    EndProcedure
  CompilerEndIf
  
  Procedure GetPluginCPI(Caption.s, *hDLL, Filename.s, ExtraInfo.s)
    ;Global HasPI
    If *hDLL
      Filename = GetCopyRightFromFile(Filename)
      If Filename
        Filename = " " + Filename
        EndIf
      InfoString = InfoString + Chr(13) + Chr(10) + Caption + Filename + ExtraInfo
      ;HasPI = 1
      ;Debug Caption + Filename + ExtraInfo
      EndIf
    EndProcedure
  
  
  
  Procedure GetBassVersionStr()
    Define *hMem
    
    *hMem = GetFileVersionInfo("bass.dll")
    If *hMem
      InfoString = Trim(VerQueryValue(*hMem, #GetFileVersionField_FileVersion))
      If Left(InfoString, 8) = "Version "
        InfoString = LTrim(Mid(InfoString, 9))
        EndIf
      FreeFileVersionInfo(*hMem)
      EndIf
    EndProcedure
  
  
  
  
  
  
  
  
  
CompilerIf #ctSSLayer_CompiledFeature_GetInfoStringA
ProcedureDLL.l ctSSLayer_GetInfoStringA(Index.l)
CompilerElse
Procedure.l ctSSLayer_GetInfoStringA(Index.l)
CompilerEndIf

  Select Index
    Case 0 ; ShortName
      InfoString = "BASS"
    Case 1 ; FullName
      InfoString = "BASS Audio library"
    Case 2 ; DllName
      InfoString = "bass.dll"
;    Case 3 ; Short Version byfix
;      InfoString = "bass"
    Case 4 ; Unique dll/versions string
      ;InfoString = "bass_" + PeekS(ctSSLayer_GetInfoStringA(30))
      InfoString = "bass_" + Str(VersionID >> 16) + "." + Right("0" + Str(VersionID & $ffff), 2)
    Case $5 ; Full copyright, info etc
      ;InfoString = GetCopyRightFromBASS()
      InfoString = ""
      GetPluginCPI("BASS Audio library", *BassDLL, "bass.dll", "")
      InfoString = Mid(InfoString, 3)
    Case $A ; Full plugin copyright info
      InfoString = ""
      GetPluginCPI("WMA plugin", *BASS_WMA_StreamCreateFile, "basswma.dll", "")
      CompilerIf #ctSSLayer_CompiledFeature_CD_AndOr_CDDA
        GetPluginCPI("CD plugin", *BASS_CD_StreamCreateFile, "basscd.dll", "")
        CompilerEndIf
      GetPluginCPI("FLAC plugin", *BASS_FLAC_StreamCreateFile, "bassflac.dll", "")
      CompilerIf #BASS_UseMidi
        GetPluginCPI("MIDI plugin", *BASS_MIDI_StreamCreateFile, "bassmidi.dll", "")
        CompilerEndIf
      GetPluginCPI("WV plugin", *BASS_WV_StreamCreateFile, "basswv.dll", "")
      GetPluginCPI("MPC plugin", *BASS_MPC_StreamCreateFile, "bass_mpc.dll", "; Portions  2006, The Musepack Development Team. All rights reserved.")
      GetPluginCPI("AC3 plugin", *BASS_AC3_StreamCreateFile, "bass_ac3.dll", "; Portions  2006 Dolby Laboratories, Inc. All rights reserved.")
      GetPluginCPI("AAC plugin", *BASS_AAC_StreamCreateFile, "bass_aac.dll", "; Portions  2006, M. Bakker, Nero AG. All rights reserved.")
      GetPluginCPI("APE plugin", *BASS_APE_StreamCreateFile, "bass_ape.dll", "; Portions  2000-2006, Matthew T. Ashland. All rights reserved.")
      CompilerIf #ctSSLayer_CompiledFeature_ReadTags
        ;GetTagPluginInfo()
        GetPluginCPI("TAGS - Yet Another Tags Reading Library", *TAGS_Read, "tags.dll", "; Written by Wraith, 2k5-2k6; Contributions by Ian Luck And Dylan Fitterer; Delphi header And sample by Chris Troesken; Public domain. No warranty.")
    ;InfoString = InfoString + Chr(13) + Chr(10) + "TAGS - Yet Another Tags Reading Library" + xChar1 + "; Written by Wraith, 2k5-2k6; Contributions by Ian Luck And Dylan Fitterer; Delphi header And sample by Chris Troesken; Public domain. No warranty."
        CompilerEndIf
      InfoString = Mid(InfoString, 3)
    Case $10 ; StreamsAll
      InfoString = "ogg;mp1,mp2,mp3;"
      If *BASS_MPC_StreamCreateFile:  InfoString + "mpc;":  EndIf
      If *BASS_WMA_StreamCreateFile:  InfoString + "wma;":  EndIf
     ; If *BASS_AAC_StreamCreateFile
     ;   If*BASS_MP4_StreamCreateFile
     ;     InfoString + "aac,mp4;"
      ;    Else
      ;    InfoString + "aac;"
      ;    EndIf
      ;  ElseIf *BASS_MP4_StreamCreateFile
      ;  InfoString + "mp4;"
      ;  EndIf
      If *BASS_AAC_StreamCreateFile:  InfoString + "aac;":  EndIf
      If *BASS_AC3_StreamCreateFile:  InfoString + "ac3;":  EndIf
      If *BASS_APE_StreamCreateFile:  InfoString + "ape;":  EndIf
      If *BASS_FLAC_StreamCreateFile: InfoString + "flac;": EndIf
      If *BASS_WV_StreamCreateFile:   InfoString + "wv;":   EndIf
      CompilerIf #BASS_UseMidi
        If *BASS_MIDI_StreamCreateFile: InfoString + "mid,midi;": EndIf
        CompilerEndIf
      InfoString + "wav;"
    Case $11 ; TrackerAllbutMidi
      InfoString = "mod,it,xm,s3m;mtm;mo3;umx;"
    ;Case $12 ; Midi
      ;InfoString = "mid,midi;rmi,sgt;"
    Case $19 ; AllDef
      InfoString = "ogg;mp2,mp3;"
      If *BASS_MPC_StreamCreateFile:  InfoString + "mpc;":  EndIf
      If *BASS_FLAC_StreamCreateFile: InfoString + "flac;": EndIf
    Case $30
      ;Debug Hex(VersionID & $ffff0000)
      ;Debug Hex((VersionID & $ffff0000) >> 16)
      ;Define xLong1.l
      ;xLong1 = Int (VersionID / 
      ;InfoString = Str(VersionID >> 16) + "." + Right("0" + Str(VersionID & $ffff), 2)
      GetBassVersionStr()  
    Case $31 ; required dll files; seperate with ;!
      InfoString = "bass.dll;msvcrt.dll"
    Case $40 ; homepage URL
      InfoString = "http://www.un4seen.com"
    Default
      InfoString = ""
      ProcedureReturn 0
    EndSelect
  
  
  
  ProcedureReturn @InfoString
CompilerIf #ctSSLayer_CompiledFeature_GetInfoStringA ; for PB IDE folding feature
  EndProcedure                                       ; for PB IDE folding feature
CompilerElse                                         ; for PB IDE folding feature
  EndProcedure                                       ; for PB IDE folding feature
CompilerEndIf                                        ; for PB IDE folding feature
  CompilerEndIf

CompilerIf 0                                         ; for enlisting in current project, real procedure in common file
  ProcedureDLL.l ctSSLayer_GetInfoStringW(Index.l)   ; for enlisting in current project, real procedure in common file
    EndProcedure                                     ; for enlisting in current project, real procedure in common file
  CompilerEndIf                                      ; for enlisting in current project, real procedure in common file
XIncludeFile "ctSSLayer_Common_GetInfoStringW.pb"

ProcedureDLL.l ctSSLayer_GetPosition(*SongPointer.tSong)
  If *SongPointer\Mode
    Define.l xResult
    Select CallFunctionFast(*BASS_ChannelIsActive, *SongPointer\Pointer)
      Case #BASS_ACTIVE_STALLED
        xResult = *SongPointer\Size
      Case #BASS_ACTIVE_STOPPED
        xResult = 0
      Default
        ;xResult = CallFunctionFast(*BASS_ChannelGetPosition, *SongPointer\Pointer)
        ;ProcedureReturn (CallFunctionFast(*BASS_ChannelBytes2Seconds, *SongPointer\Pointer, xResult, 0) * 1000)
        ;xResult = CallFunctionFast(*BASS_ChannelGetPosition, *SongPointer\Pointer)
        If VersionID > $20003
          xResult = (BASS_ChannelBytes2Seconds24(*SongPointer\Pointer, BASS_ChannelGetPosition24(*SongPointer\Pointer, #BASS_POS_BYTE)) * 1000)
          Else
          xResult = (BASS_ChannelBytes2Seconds23(*SongPointer\Pointer, BASS_ChannelGetPosition23(*SongPointer\Pointer)) * 1000)
          EndIf
      EndSelect
    ProcedureReturn xResult
    EndIf
  EndProcedure

CompilerIf #ctSSLayer_CompiledFeature_Spectrum
  XIncludeFile "ctSSLayer_Common_MaxF.pb"

  ProcedureDLL ctSSLayer_GetSpectrum(*xSingleA1, ArraySize.l, *SongPointer.tSong, Stereo.l)
    Static xLong1.l
    Static xLong2.l
    Static xLong4.l
    Static xSingle1.f
  
    #xWGS_GetWidth = 1024
    #xWGS_GetWidth_ArrayLIDX = #xWGS_GetWidth - 1
    Static Dim xSingleA2.f(#xWGS_GetWidth_ArrayLIDX)
  
    If *SongPointer
      CallFunctionFast(*BASS_ChannelGetData, *SongPointer\Pointer, @xSingleA2(0), $80000002)
      If ArraySize > #xWGS_GetWidth: ArraySize = #xWGS_GetWidth: EndIf
      For xLong1 = 0 To ArraySize - 1
        xLong2 = xLong1 * #xWGS_GetWidth / ArraySize
        xSingle1 = xSingleA2(xLong2)
        For xLong4 = xLong2 + 1 To (xLong1 + 1) * #xWGS_GetWidth / ArraySize - 1
          xSingle1 = MaxF(xSingle1, xSingleA2(xLong4))
          Next
        xSingleA2(xLong1) = xSingle1
        Next
      CopyMemory(@xSingleA2(0), *xSingleA1, ArraySize * 4)
      If Stereo = 3
        CopyMemory(@xSingleA2(ArraySize), *xSingleA1, ArraySize * 4)
        EndIf
      Else
      If Stereo = 3
        RtlZeroMemory_(*xSingleA1, ArraySize * 8)
        Else
        RtlZeroMemory_(*xSingleA1, ArraySize * 4)
        EndIf
      EndIf
    EndProcedure
  CompilerEndIf

ProcedureDLL.l ctSSLayer_Init(OutputDeviceID, hWnd.l, UseCDDA.l, UseJitterCorrection.l)
  If OutputDeviceID >= 0 And OutputDeviceID < OutPutListCount
    CallFunction(*BassDLL, "BASS_SetDevice", (OutputDeviceID & $FF) + 1)
;PrintN("Initing 1")
    If CallFunction(*BassDLL, "BASS_Init", (OutputDeviceID & $FF) + 1, 44001, 0, hWnd, 0)
;PrintN("Initing 2")
      GetFuncs()
      xSystem = 1
      ProcedureReturn 1
      EndIf
    EndIf
  EndProcedure


CompilerIf 0 ;#ctSSLayer_CompiledFeature_CD_AndOr_CDDA
  Procedure.l DriveIDfromLetter(DriveLetter.s)
    Define.l xLong1
    Define.l DriveIDfromLetter
  
    xLong1 = Asc(UCase(Left(DriveLetter, 1))) - 65
    Repeat
      ;Debug *BASS_CD_GetDriveLetter
      ;Debug "For " + Str(DriveIDfromLetter) + ": " + Str(CallFunctionFast(*BASS_CD_GetDriveLetter, DriveIDfromLetter))
      ;Debug "Want: " + Str(xLong1)
      Select CallFunctionFast(*BASS_CD_GetDriveLetter / *BASS_CD_GetInfo, DriveIDfromLetter)
      ;Select CallFunctionFast(*BASS_CD_GetDriveLetter, @xLong1)
        Case xLong1
          Break
        Case -1
          DriveIDfromLetter = -1
          Break
        Default
          DriveIDfromLetter = DriveIDfromLetter + 1
        EndSelect
      ForEver
    ProcedureReturn DriveIDfromLetter
    EndProcedure
  CompilerEndIf

CompilerIf #ctSSLayer_CompiledFeature_ReadTags
  Procedure.f GetQualityMultiByFilename(Filename.s)
    Define Result.f
  
    Select LCase(GetExtensionPart(Filename))
      Case "wav"
        Result = 0.1
      Case "flac"
        Result = 0.2
      Default
        Result = 1
      EndSelect
    ProcedureReturn Result
    EndProcedure
  CompilerEndIf

Procedure.l ctSSLayer_LoadSong(mode.l, *Filename, Flags.l, UnicodeFlag.l) ;, TrackID.l)
  Define.l xLong1
  Define.l FlagsNew
  Define *SongPointer.tSong = AllocateMemory(SizeOf(tSong))
  Define.s FilenameAnsi
  Define.ProtoBASSCreateFile24 ProtoLoader
  CompilerIf #BASS_UseMidi
    Define.ProtoBASSCreateFileMidi24 ProtoLoaderMidi
    CompilerEndIf
    
  If UnicodeFlag
    FilenameAnsi = PeekS(*Filename, -1, #PB_Unicode)
    Else
    FilenameAnsi = PeekS(*Filename)
    EndIf


  If *SongPointer
    Select Mode
      Case #ctSSLayer_MusicTypeStream
        Select LCase(GetExtensionPart(FileNameAnsi))
          Case "mpc"
            ProtoLoader = *BASS_MPC_StreamCreateFile ; unicode: used in .bas!
            *SongPointer\Mode = $11
          Case "wma"
            ProtoLoader = *BASS_WMA_StreamCreateFile ; unicode: yes
            *SongPointer\Mode = $12
          Case "flac"
            ProtoLoader = *BASS_FLAC_StreamCreateFile ; unicode: yes
            *SongPointer\Mode = $13
          Case "aac"
            ProtoLoader = *BASS_AAC_StreamCreateFile ; unicode: used in .bas!
            *SongPointer\Mode = $14
            FlagsNew = $20000
          ;Case "mp4"
          ;  ProtoLoader = *BASS_MP4_StreamCreateFile
          ;  FlagsNew = $20000)
          ;  *SongPointer\Mode = $15
          Case "ape"
            ProtoLoader = *BASS_APE_StreamCreateFile ; unicode: used in .bas!
            *SongPointer\Mode = $16
          Case "ac3"
            ProtoLoader = *BASS_AC3_StreamCreateFile ; unicode: used in .bas!
            *SongPointer\Mode = $17
            FlagsNew = $200
          Case "wv"
            ProtoLoader = *BASS_WV_StreamCreateFile ; unicode: yes
            *SongPointer\Mode = $18
CompilerIf #BASS_UseMidi
          Case "mid", "midi"
            *SongPointer\Mode = $4
            If *BASS_MIDI_StreamCreateFile
              If VersionID > $20003
                ProtoLoaderMidi = *BASS_MIDI_StreamCreateFile
                *SongPointer\Pointer = ProtoLoaderMidi.ProtoBASSCreateFile24(0, *FileName, 0, 0, FlagsNew | UnicodeFlag, 44100)
                Else
                *SongPointer\Pointer = CallFunctionFast(*BASS_MIDI_StreamCreateFile, 0, @FileNameAnsi, 0, 0, FlagsNew, 44100)
                EndIf
              EndIf
CompilerEndIf
          Default
            If (Flags & 1)
              FlagsNew = $20000
              EndIf
            ProtoLoader = *BASS_StreamCreateFile
            *SongPointer\Mode = $10
          EndSelect
        If *SongPointer\Mode And ProtoLoader And Not *SongPointer\Mode = $4
          If VersionID > $20003
            *SongPointer\Pointer = ProtoLoader.ProtoBASSCreateFile24(0, *FileName, 0, 0, FlagsNew | UnicodeFlag)
            Else
            *SongPointer\Pointer = CallFunctionFast(*BASS_StreamCreateFile, 0, @FileNameAnsi, 0, 0, FlagsNew)
            EndIf
          EndIf
        Case #ctSSLayer_MusicTypeTracker
        If VersionID > $20003
          *SongPointer\Pointer = BASS_MusicLoad24(0, *FileName, 0, 0, $28000 | UnicodeFlag, 0)
          Else
          *SongPointer\Pointer = CallFunctionFast(*BASS_MusicLoad23, 0, @FileNameAnsi, 0, 0, $28000, 0)
          EndIf
        *SongPointer\Mode = 1
  CompilerIf #ctSSLayer_CompiledFeature_CD_AndOr_CDDA
      Case #ctSSLayer_MusicTypeCDAudio
        ;Debug "x"
        ;*SongPointer\Pointer = CallFunctionFast(*BASS_CD_StreamCreateFile, DriveIDfromLetter(FileNameAnsi), Val(GetTrackNumber(FileNameAnsi)) - 1, 0)
        If VersionID > $20003
          ; No need for unicode for CD access!
          *SongPointer\Pointer = CallFunctionFast(*BASS_CD_StreamCreateFile, @FileNameAnsi, 0)
          Else
          *SongPointer\Pointer = CallFunctionFast(*BASS_CD_StreamCreateFile, @FileNameAnsi)  
          EndIf
        ;Debug *SongPointer\Pointer
        ;Debug "DriveID: " + Str(DriveIDfromLetter(FileNameAnsi))
        ;Debug "Track: " + Str(Val(GetTrackNumber(FileNameAnsi)) - 1)
        *SongPointer\Mode = 5
  CompilerEndIf
      EndSelect
    
    If *SongPointer\Pointer
      If UnicodeFlag
        xLong1 = CreateFileW(*Filename, #BASS_UNICODE, 1, #Null, 3, $20, 0)
        Else
        xLong1 = CreateFile_(*Filename, #BASS_UNICODE, 1, #Null, 3, $20, 0)
        EndIf
      If xLong1
        *SongPointer\FileSize = GetFileSize_(xLong1, #Null)
        If *SongPointer\FileSize = -1
          *SongPointer\FileSize = 0
          EndIf
        CloseHandle_(xLong1)
        EndIf
      If VersionID > $20003
        *SongPointer\Size = (BASS_ChannelBytes2Seconds24(*SongPointer\Pointer, BASS_ChannelGetLength24(*SongPointer\Pointer, #BASS_POS_BYTE))) * 1000
        Else
        *SongPointer\Size = (BASS_ChannelBytes2Seconds23(*SongPointer\Pointer, BASS_ChannelGetLength23(*SongPointer\Pointer))) * 1000
        EndIf
      CompilerIf #ctSSLayer_CompiledFeature_ReadTags
        *SongPointer\Format_QualityMulti = GetQualityMultiByFilename(FileNameAnsi)
        CompilerEndIf
      xLong1 = Len(FileNameAnsi)
      ProcedureReturn *SongPointer
      Else
      ;*SongPointer\Mode = 0
      FreeMemory(*SongPointer)
      EndIf
    EndIf
CompilerIf #ctSSLayer_CompiledFeature_LoadSongA ; for PB IDE folding feature
  EndProcedure                                  ; for PB IDE folding feature
CompilerElse                                    ; for PB IDE folding feature
  EndProcedure                                  ; for PB IDE folding feature
CompilerEndIf                                   ; for PB IDE folding feature

CompilerIf #ctSSLayer_CompiledFeature_LoadSongA
  ProcedureDLL.l ctSSLayer_LoadSongA(mode.l, *Filename, Flags.l) ;, FullMode.s,, TrackID.l)
    ProcedureReturn ctSSLayer_LoadSong(mode, *Filename, Flags, 0)
    EndProcedure
  CompilerEndIf

CompilerIf #ctSSLayer_CompiledFeature_LoadSongW
  ProcedureDLL.l ctSSLayer_LoadSongW(mode.l, *Filename, Flags.l) ;, FullMode.s,, TrackID.l)
    ProcedureReturn ctSSLayer_LoadSong(mode, *Filename, Flags, #BASS_UNICODE)
    EndProcedure
  CompilerEndIf

ProcedureDLL.l ctSSLayer_LoadSongFinished(*SongPointer.tSong)
  ProcedureReturn 1
  EndProcedure

ProcedureDLL ctSSLayer_LoadSongAbort(*SongPointer.tSong)
  Select *SongPointer\Mode
    Case 0, 5 ; none / cd
    Case 1 ; tracker
      CallFunctionFast(*BASS_MusicFree, *SongPointer\Pointer)
    Default
      CallFunctionFast(*BASS_StreamFree, *SongPointer\Pointer)
    EndSelect
  ;*SongPointer\Mode = 0
  FreeMemory(*SongPointer)
  EndProcedure

ProcedureDLL.l ctSSLayer_LoadSongPlay(*SongPointer.tSong, Volume.l, LoopSong.l, Panning.l, Paused.l)
  ;*SongPointer\CurVolume = Volume
;Debug "SetVolPlay"
  If *SongPointer\Mode
    If Paused
      If VersionID > $20003
        BASS_ChannelSetAttribute24(*SongPointer\Pointer, #BASS_ATTRIB_VOL, 0)
        Else
        BASS_ChannelSetAttributes23(*SongPointer\Pointer, -1, 0, -101)
        EndIf
      Else
      If VersionID > $20003
        BASS_ChannelSetAttribute24(*SongPointer\Pointer, #BASS_ATTRIB_VOL, (Volume / 255))
        Else
        BASS_ChannelSetAttributes23(*SongPointer\Pointer, -1, (Volume / 2.55), -101)
        EndIf
      EndIf
    If *SongPointer\Mode = 1
      If VersionID > $20003
        BASS_ChannelSetAttribute24(*SongPointer\Pointer, #BASS_ATTRIB_MUSIC_PANSEP, Panning)
        Else
        CallFunctionFast(*BASS_MusicSetAttribute23, *SongPointer\Pointer, 1, Panning) ; * 100)
        EndIf
      EndIf
    CallFunctionFast(*BASS_ChannelPlay, *SongPointer\Pointer, 0)
    If Paused
      CallFunctionFast(*BASS_ChannelPause, *SongPointer\Pointer)
      Else
      *SongPointer\ShouldPlay = 1
      EndIf
    If *SongPointer\Mode = 1
      If VersionID > $20003
        BASS_ChannelSetAttribute24(*SongPointer\Pointer, #BASS_ATTRIB_MUSIC_PANSEP, Panning)
        Else
        CallFunctionFast(*BASS_MusicSetAttribute23, *SongPointer\Pointer, 1, Panning) ; * 100)
        EndIf
CompilerIf #ctSSLayer_CompiledFeature_CD_AndOr_CDDA
      ElseIf *SongPointer\Mode = 5
      IsCDing = 1
CompilerEndIf
      EndIf
    ProcedureReturn 1
    EndIf
  EndProcedure

CompilerIf #ctSSLayer_CompiledFeature_MusicPatternBased = 2
  ProcedureDLL.l ctSSLayer_MusicGetPattern(*SongPointer)
    EndProcedure
  
  ProcedureDLL.l ctSSLayer_MusicGetPatterns(*SongPointer)
    EndProcedure
  
  ProcedureDLL.l ctSSLayer_MusicHasFinished(*SongPointer.tSong)
    If *SongPointer\Mode = 1
      Select CallFunctionFast(*BASS_ChannelIsActive, *SongPointer\Pointer)
        Case #BASS_ACTIVE_STALLED, #BASS_ACTIVE_STOPPED
          ProcedureReturn 1
        EndSelect
      EndIf
    EndProcedure
  
  ProcedureDLL.l ctSSLayer_MusicTime(*SongPointer)
    EndProcedure
  CompilerEndIf

CompilerIf #ctSSLayer_CompiledFeature_GetDeviceNameW
  XIncludeFile "Common_LocalAllocStringWFromAnsiOrUTF8Mem.pb" ;- LocalAllocStringWFromAnsiOrUTF8Mem
  CompilerEndIf
  
Procedure EnumerateDrv(MainHWnd.l)
  Structure BASS_DEVICEINFO
    *name;
    *driver;
    flags.l
    EndStructure

  Define.l xLong1
  Define.BASS_DEVICEINFO xType1
  CompilerIf #ctSSLayer_CompiledFeature_GetDeviceNameW
    Define.l xBool1
    CompilerEndIf
  
  CompilerIf #ctSSLayer_CompiledFeature_GetDeviceNameW
    If VersionID > $20004 Or (VersionID = $20004 And RevisionID > $8ffff)
      xBool1 = CallFunction(*BassDLL, "BASS_SetConfig", 42, 1)
      EndIf    
    CompilerEndIf
  
  If CallFunction(*BassDLL, "BASS_Init", 0, 44001, 0, MainHWnd, 0)
    Repeat
      If VersionID > $20003
        xLong1 = CallFunction(*BassDLL, "BASS_GetDeviceInfo", OutPutListCount + 1, @xType1)
        Else
        xLong1 = CallFunction(*BassDLL, "BASS_GetDeviceDescription", OutPutListCount + 1)
        EndIf
      If xLong1
        ;Debug "Enum: " + PeekS(xLong1)
        If VersionID > $20003
          If xType1\name
            CompilerIf #ctSSLayer_CompiledFeature_GetDeviceNameW
              If xBool1
                OutPutList(OutPutListCount) = LocalAllocStringWFromAnsiOrUTF8Mem(xType1\name, 65001)
                Else
                ;OutPutList(OutPutListCount) = LocalAllocStringWFromW(*Mem)
                OutPutList(OutPutListCount) = LocalAllocStringWFromAnsiOrUTF8Mem(xType1\name, 0)
                EndIf
              CompilerElse
              OutPutList(OutPutListCount) = PeekS(xType1\name)
              CompilerEndIf
            EndIf
          Else
          CompilerIf #ctSSLayer_CompiledFeature_GetDeviceNameW
            OutPutList(OutPutListCount) = LocalAllocStringWFromAnsiOrUTF8Mem(xLong1, 0)
            CompilerElse
            OutPutList(OutPutListCount) = PeekS(xLong1)
            CompilerEndIf
          EndIf
        OutPutListCount + 1
        If OutPutListCount = #OutPutListMax
          Break
          EndIf
        Else
        Break
        EndIf
      ForEver
    CallFunction(*BassDLL, "BASS_Free")
    EndIf
  EndProcedure

XIncludeFile "ctSSLayer_Common_GetWinSysPath.pb"


ProcedureDLL.l ctSSLayer_PreInit(MainHWnd.l)
  Define.l xLong1
  
  OutPutListCount = 0
  *BassDLL = OpenLibrary(#PB_Any, "bass.dll")
  If *BassDLL
    VersionID = GetFileVersionEx("bass.dll", @RevisionID)
  
    xSysPath = GetWinSysPath()

    If TestForDLL(xSysPath + "dsound.dll", $40003) = 0
      xNoDirectX = 1
      EndIf
    GetPreFuncs()
    If ctSSLayer_CanUseItem($20) < 20
      EnumerateDrv(MainHWnd)
;Debug("Devices: " + Str(OutPutListCount))
      ProcedureReturn OutPutListCount
      EndIf
    Else
    VersionID = -1
    EndIf
  EndProcedure

CompilerIf #ctSSLayer_CompiledFeature_ReadTags
  XIncludeFile "Common_LocalAllocStringWFromAnsiOrUTF8Mem.pb" ;- LocalAllocStringWFromAnsiOrUTF8Mem
  
  Procedure.l ReadThisTagTxt(*SongPointer, *MemToUse, WhatFormatStr.s, Unicode.l)
    Define.l xLong1
    Define.l xLong2
    Define.s xChar1

    xLong1 = PeekL(*MemToUse)
    If xLong1
      FreeMemory(xLong1)
      EndIf
    If Unicode And TagRVersion > 14
      WhatFormatStr = "%UTF8(" + WhatFormatStr + ")"
      EndIf
    xLong1 = CallFunctionFast(*TAGS_Read, *SongPointer, @WhatFormatStr)
;Debug "Call"
    If xLong1
;Debug "Has1"
      If Unicode And TagRVersion > 14
;Debug "UseUTF: " + Str(TagRVersion)
        xLong2 = LocalAllocStringWFromAnsiOrUTF8Mem(xLong1, 65001)
        Else
        xChar1 = PeekS(xLong1)
        xLong2 = Len(xChar1)
        If xLong2
  ;Debug "Has2"
          If Unicode
            xLong2 = AllocateMemory((xLong2 + 1) * 2)
            If xLong2
              PokeS(xLong2, xChar1, -1, #PB_Unicode)
              EndIf
            Else
  ;Debug "Has3"
            xLong2 = AllocateMemory(xLong2 + 1)
            If xLong2
  ;Debug "Has4"
              PokeS(xLong2, xChar1)
              EndIf
            EndIf
          EndIf
        EndIf
      EndIf
    PokeL(*MemToUse, xLong2)
;If (xLong2)    
;Debug "Has5: " + Str(xLong2)+" / "+ xChar1
;EndIf
    ProcedureReturn xLong2
    EndProcedure
  
  Procedure.l ReadThisTagLng(*SongPointer, *WhatFormatStr)
    Define.l xLong1

    xLong1 = CallFunctionFast(*TAGS_Read, *SongPointer, *WhatFormatStr)
    If xLong1
      ProcedureReturn Val(Trim(PeekS(xLong1)))
      EndIf
    EndProcedure
  
  Procedure.l ctSSLayer_ReadSongInfo(*SongPointer.tSong, *xSongInfo.ctSSSongInfoStruct, Unicode.l)
    ;Define.l xLong1
    ;Define.l xLong2
    Define.ctSSSongInfoStruct xType1
    Define.BASS_CHANNELINFO xType2
    
    ;Global strTitle.s
    ;Global strArtist.s
    ;Global strAlbum.s
  
    ;ProcedureReturn 1
    ;MessageRequester("1", "2")
    If CallFunctionFast(*BASS_ChannelGetInfo, *SongPointer\Pointer, @xType2)
  ;      ProcedureReturn 1
      ;xLong1 = CreateFile_(FileName, #BASS_UNICODE, 1, #Null, 3, $20, 0)
      ;MessageRequester("1", "3")
      ;If xLong1
      ;  xLong2 = GetFileSize_(xLong1, #Null)
      ;  CloseHandle_(xLong1)
      If *SongPointer\FileSize
        ;MessageRequester("1", "3")
        If *SongPointer\Size
          xType1\Format_BitRate = *SongPointer\FileSize / *SongPointer\Size * 8000
          EndIf
        xType1\Format_Channels = xType2\chans
        xType1\Format_Frequency = xType2\freq
        xType1\FormatOK = 1
        PokeF(@xType1\Format_QualityMulti, *SongPointer\Format_QualityMulti)
        ;MessageRequester("1", "7")
        RtlMoveMemory_(*xSongInfo, @xType1, SizeOf(xType1))
        EndIf
      EndIf
    
;Debug "TagReader1"
    If *TAGS_Read
;Debug "TagReader2"
      *xSongInfo\Tag_Album   = ReadThisTagTxt(*SongPointer\Pointer, @MemAlbum, "%ALBM", Unicode)
      *xSongInfo\Tag_Artist  = ReadThisTagTxt(*SongPointer\Pointer, @MemArtst, "%ARTI", Unicode)
      *xSongInfo\Tag_Title   = ReadThisTagTxt(*SongPointer\Pointer, @MemTitle, "%TITL", Unicode)
      *xSongInfo\Tag_TrackID = ReadThisTagLng(*SongPointer\Pointer, @"%TRCK")
      *xSongInfo\Tag_Year    = ReadThisTagLng(*SongPointer\Pointer, @"%YEAR")
      *xSongInfo\TagOK = 1
      ;CallFunctionFast(*TAGS_Read, *SongPointer\Pointer, 
      EndIf
    ;MessageRequester("1", "8")
    ;*xSongInfo\Tag_Title = @strTitle
    ;*xSongInfo\Tag_Artist = @strArtist
    ;*xSongInfo\Tag_Album = @strAlbum
    ProcedureReturn 1
    EndProcedure
  
  CompilerIf #ctSSLayer_CompiledFeature_ReadTagsA
    ProcedureDLL.l ctSSLayer_ReadSongInfoA(*SongPointer.tSong, *xSongInfo.ctSSSongInfoStruct)
      ProcedureReturn ctSSLayer_ReadSongInfo(*SongPointer, *xSongInfo, 0)
      EndProcedure
    CompilerEndIf

  CompilerIf #ctSSLayer_CompiledFeature_ReadTagsW
    ProcedureDLL.l ctSSLayer_ReadSongInfoW(*SongPointer, *xSongInfo)
      ProcedureReturn ctSSLayer_ReadSongInfo(*SongPointer, *xSongInfo, 1)
      EndProcedure
    CompilerEndIf
  CompilerEndIf

CompilerIf #ctSSLayer_CompiledFeature_RefreshDeviceList
  ProcedureDLL.l ctSSLayer_RefreshDeviceList(hWnd.l)
    ProcedureReturn OutPutListCount
    EndProcedure
  CompilerEndIf

ProcedureDLL.l ctSSLayer_SeekSong(*SongPointer.tSong, SeekPosition.l)
  If *SongPointer\Mode
    If SeekPosition > -1 And *SongPointer\Size > 0 And (SeekPosition < *SongPointer\Size Or *SongPointer\Mode = 1 And SeekPosition < *SongPointer\ExtraA)
      ;PrintN("Seeking...")
      ;PrintN("  " + Str(*SongPointer\Pointer))
      ;PrintN("  " + Str(SeekPosition / 1000))
      ;PrintN("  " + Str(BASS_ChannelSeconds2Bytes(*SongPointer\Pointer, SeekPosition / 1000)))
      If VersionID > $20003
        BASS_ChannelSetPosition24(*SongPointer\Pointer, BASS_ChannelSeconds2Bytes24(*SongPointer\Pointer, SeekPosition / 1000), #BASS_POS_BYTE)
        Else
        BASS_ChannelSetPosition23(*SongPointer\Pointer, BASS_ChannelSeconds2Bytes23(*SongPointer\Pointer, SeekPosition / 1000))
        EndIf
      ;PrintN("  done")
      If *SongPointer\ShouldPlay
        ;PrintN("  TestDoesPlay")
        Select CallFunctionFast(*BASS_ChannelIsActive, *SongPointer\Pointer)
          Case #BASS_ACTIVE_STALLED, #BASS_ACTIVE_STOPPED
            ;PrintN("  MustPlay")
            CallFunctionFast(*BASS_ChannelPlay, *SongPointer\Pointer, 0)
          EndSelect
        ;PrintN("  k")
        EndIf
      ProcedureReturn 1
      EndIf
    EndIf
  EndProcedure

CompilerIf #ctSSLayer_CompiledFeature_EndCallBack
  ProcedureDLL.l ctSSLayer_SetEndCallback(HWnd.l, Message.l, wParam.l)
    EndProcedure
  CompilerEndIf

ProcedureDLL ctSSLayer_SetPause(*SongPointer.tSong, Pause.l)
;  If ResumeVolume = -1
;    ResumeVolume = *SongPointer\CurVolume
;    Else
;    *SongPointer\CurVolume = ResumeVolume
;    EndIf

  If *SongPointer\Mode
    If Pause
      CallFunctionFast(*BASS_ChannelPause, *SongPointer\Pointer)
      Else
      CallFunctionFast(*BASS_ChannelPlay, *SongPointer\Pointer, #False)
      EndIf
    *SongPointer\ShouldPlay = Pause
    EndIf
  EndProcedure

CompilerIf #ctSSLayer_CompiledFeature_Spectrum
  ProcedureDLL ctSSLayer_SetSpectrum(Status.l)
    EndProcedure
  CompilerEndIf

ProcedureDLL ctSSLayer_SetVolume(*SongPointer.tSong, Volume.l)
  ;*SongPointer\CurVolume = Volume
  If *SongPointer\Mode
    If VersionID > $20003
      BASS_ChannelSetAttribute24(*SongPointer\Pointer, #BASS_ATTRIB_VOL, (Volume / 255))
      Else
      BASS_ChannelSetAttributes23(*SongPointer\Pointer, 0, (Volume / 2.55), 0)
      EndIf
    EndIf
  EndProcedure

; Beware! Can be 0 ... esp. after you round it!
ProcedureDLL.l ctSSLayer_SongLength(*SongPointer.tSong)
  If *SongPointer\Mode
    ProcedureReturn *SongPointer\Size
    EndIf
  EndProcedure

ProcedureDLL ctSSLayer_UnloadSong(*SongPointer.tSong) ;, RestoreVolume.l)
  Select *SongPointer\Mode
    Case 0 ;, 5
    Case 1
      CallFunctionFast(*BASS_MusicFree, *SongPointer\Pointer)
    Default
      CallFunctionFast(*BASS_StreamFree, *SongPointer\Pointer)
      CompilerIf #ctSSLayer_CompiledFeature_CD_AndOr_CDDA
        If *SongPointer\Mode = 5
          IsCDing = 0
          EndIf
        CompilerEndIf
    EndSelect
  ;*SongPointer\Mode = 0
  FreeMemory(*SongPointer)
  EndProcedure

CompilerIf #ctSSLayer_CompiledFeature_CD_AndOr_CDDA
  ProcedureDLL ctSSLayer_UpdateCDDA(UseCDDA.l, UseJitterCorrection.l)
    ;xUseCDDA = (UseCDDA And ctSSLayer_CanUseItem(0))
    ;xUseJitter = UseJitterCorrection And ctSSLayer_CanUseItem(1)
    EndProcedure
  CompilerEndIf

CompilerIf #ctSSLayer_CompiledFeature_MusicPatternBased = 2
  ProcedureDLL ctSSLayer_UpdateLooping(*SongPointer, LoopSong.l)
    EndProcedure
  CompilerEndIf  

CompilerIf #ctSSLayer_CompiledFeature_MusicPatternBased
  ProcedureDLL ctSSLayer_UpdatePanning(*SongPointer.tSong, Panning.l)
    If *SongPointer\Mode
      If VersionID > $20003
        BASS_ChannelSetAttribute24(*SongPointer\Pointer, #BASS_ATTRIB_MUSIC_PANSEP, Panning)
        Else
        CallFunctionFast(*BASS_MusicSetAttribute23, *SongPointer\Pointer, 1, Panning) ; * 100)
        EndIf
      EndIf
    EndProcedure
  CompilerEndIf

ProcedureDLL.l ctSSLayer_Version(OptionalLayerVersionID.l)
  Select OptionalLayerVersionID
    Case 0, $10000682, $10000690, $10001010
      ProcedureReturn $10001010
    EndSelect
  EndProcedure














CompilerIf #TestIT = 3 And #Console
  Debug "1"
  AttachProcess(0)
  If ctSSLayer_Version($10000682)
    Define.l xLong2 = ctsslayer_preinit(0)
    If xLong2
      Debug PeekS(ctsslayer_getinfostringa($1)) + " " + PeekS(ctsslayer_getinfostringa($30))
      Define.l xLong1
      For xLong1 = 0 To xLong2 - 1
        PrintN(PeekS(ctSSLayer_GetDeviceNameA(xLong1, 0)) + "#")
        PrintN("  " + PeekS(ctSSLayer_GetDeviceSSLIDA(xLong1)) + "#")
        PrintN("    " + Str(ctSSLayer_GetDeviceFromSSLIDA(ctSSLayer_GetDeviceSSLIDA(xLong1))))
        PrintN(PeekS(ctSSLayer_GetDeviceNameW(xLong1, 0), -1, #PB_Unicode) + "#")
        PrintN("  " + PeekS(ctSSLayer_GetDeviceSSLIDW(xLong1), -1, #PB_Unicode) + "#")
        PrintN("    " + Str(ctSSLayer_GetDeviceFromSSLIDW(ctSSLayer_GetDeviceSSLIDW(xLong1))))
        Next
  
      If ctsslayer_init(0, 0, 0, 0)
        Debug "inited"
        ;Define.l xLong1 = ctsslayer_loadsonga(#ctSSLayer_MusicTypeCDAudio, @"r:\track01.cda", 1)
        Define.l xLong1 = ctsslayer_loadsonga(#ctSSLayer_MusicTypeInetStream, @"http://91.121.13.103:8080", 3)
        If xLong1
          Repeat
            Debug "loadok, blockwaiting"
            Delay(200)
            Select ctSSLayer_LoadSongFinished(xLong1)
              Case 0: Debug "  still Waiting"
              Case 1: Debug "  ok"
                Break
              Case -1: : Debug "  failed"
                Goto NoPlay2
              EndSelect
            ForEver
          Debug ctsslayer_loadsongplay(xLong1, 255, 0, 80, 0)
          ;Repeat
          ;  Delay(100)
          ;  ForEver
NoPlay2:
          ctsslayer_unloadsong(xLong1)
          EndIf
  Debug "f4"
  Debug ctsslayer_CanUseItem($11)
        ctsslayer_close(#False)
  Debug "f5"
        EndIf
      EndIf
    EndIf

Sleep_(5000)  
  DetachProcess(0)
  CompilerEndIf

CompilerIf #TestIT = 4 And #Console
  Debug "1"
  AttachProcess(0)
  If ctSSLayer_Version($10000682)
    Define.l xLong2 = ctsslayer_preinit(0)
    PrintN(Str(VersionID >> 16) + "." + Right("0" + Hex(VersionID & $FF), 2))
    PrintN(Hex(VersionID))
    If xLong2
      Debug PeekS(ctsslayer_getinfostringa($1)) + " " + PeekS(ctsslayer_getinfostringa($30))
      Define.l xLong1
      For xLong1 = 0 To xLong2 - 1
        PrintN("W->A: " + PeekS(ctSSLayer_GetDeviceNameW(xLong1, 0), -1, #PB_Unicode) + "#")
        PrintN("   A: " + PeekS(ctSSLayer_GetDeviceNameA(xLong1, 0)) + "#")
        PrintN("Guid: " + PeekS(ctSSLayer_GetDeviceSSLIDA(xLong1)) + "#")
        Next
      EndIf
    EndIf
;Sleep_(10000)  
  DetachProcess(0)
  CompilerEndIf


CompilerIf #TestIT = 6 And #Console
  AttachProcess(0)
  If ctsslayer_preinit(0)
    Debug PeekS(ctsslayer_getinfostringa($1)) + " " + PeekS(ctsslayer_getinfostringa($30))
    If ctsslayer_init(0, 0, 0, 0)
      Debug "inited"
      ;Define.l xLong1 = ctsslayer_loadsonga(#ctSSLayer_MusicTypeCDAudio, @"r:\track01.cda", 1)
      ;Define.l xLong1 = ctsslayer_loadsonga(#ctSSLayer_MusicTypeInetStream, @"http://91.121.13.103:8080", 3)
      ;Define.l xLong1 = ctsslayer_loadsonga(#ctSSLayer_MusicTypeStream, @"C:\Q0511N\USERDATA\Desktop\trl_main_theme0.wv", 1)
      Define.l xLong1 = ctsslayer_loadsonga(#ctSSLayer_MusicTypeStream, @"E:\_New\2010\Hatlelid\[Ar] 3d10 4s2 - test drive 2.mp3", 1)
      If xLong1
        Debug "loadok"
        Repeat
          Debug "blockwaiting"
          Delay(200)
          Select ctSSLayer_LoadSongFinished(xLong1)
            Case 0: Debug "  still Waiting"
            Case 1: Debug "  ok"
              Break
            Case -1: : Debug "  failed"
              Goto NoPlay
            EndSelect
          ForEver
        ctsslayer_loadsongplay(xLong1, 255, 0, 80, 0)
        Define.ctSSSongInfoStruct xType1
        ctsslayer_readsonginfoa(xLong1, @xType1)
        If xType1\Tag_Album
          Debug "A_Album:  " + PeekS(xType1\Tag_Album)
          EndIf
        If xType1\Tag_Artist
          Debug "A_Artist: " + PeekS(xType1\Tag_Artist)
          EndIf
        If xType1\Tag_Title
          Debug "A_Title:  " + PeekS(xType1\Tag_Title)
          EndIf
        ctsslayer_readsonginfow(xLong1, @xType1)
        If xType1\Tag_Album
          Debug "W_Album:  " + PeekS(xType1\Tag_Album, -1, #PB_Unicode)
          EndIf
        If xType1\Tag_Artist
          Debug "W_Artist: " + PeekS(xType1\Tag_Artist, -1, #PB_Unicode)
          EndIf
        If xType1\Tag_Title
          Debug "W_Title:  " + PeekS(xType1\Tag_Title, -1, #PB_Unicode)
          EndIf
        Debug "Track:  " + Str(xType1\Tag_TrackID)
        Debug "Year:  " + Str(xType1\Tag_Year)
NoPlay:
ctsslayer_unloadsong(xLong1)
        EndIf
      ctsslayer_close(#False)
Debug "f5"
      EndIf
    EndIf

  DetachProcess(0)
  CompilerEndIf

CompilerIf #TestIT = 7 And #Console
  AttachProcess(0)
  If ctsslayer_preinit(0)
    Debug PeekS(ctsslayer_getinfostringa($1)) + " " + PeekS(ctsslayer_getinfostringa($30)) + PeekS(ctsslayer_getinfostringa($a))
    If ctsslayer_init(0, 0, 0, 0)
      Debug "inited"
;      Define.l xLong1 = ctsslayer_loadsonga(#ctSSLayer_MusicTypeStream, @"C:\Arrival to Earth.mid", 1)
      Define.l xLong1 = ctsslayer_loadsonga(#ctSSLayer_MusicTypeStream, @"E:\_New\201202\Arrival to Earth.mid", 1)
      If xLong1
        Debug "loadok"
        Repeat
          Debug "blockwaiting"
          Delay(200)
          Select ctSSLayer_LoadSongFinished(xLong1)
            Case 0: Debug "  still Waiting"
            Case 1: Debug "  ok"
              Break
            Case -1: : Debug "  failed"
              Goto NoPlay
            EndSelect
          ForEver
        ctsslayer_loadsongplay(xLong1, 255, 0, 80, 0)
        Sleep_(10000)
NoPlay:
ctsslayer_unloadsong(xLong1)
        EndIf
      ctsslayer_close(#False)
Debug "f5"
      EndIf
    EndIf

  DetachProcess(0)
  CompilerEndIf

; IDE Options = PureBasic 4.51 (Windows - x86)
; ExecutableFormat = Console
; CursorPosition = 994
; FirstLine = 981
; Folding = -----------
; Executable = C:\Q05006\SYSTEM\ctsslay.dll
; CompileSourceDirectory
; IncludeVersionInfo
; VersionField0 = 1,0,0,5600
; VersionField1 = 1,0,0,5600
; VersionField2 = ctuser
; VersionField3 = ctSSLayer
; VersionField4 = 1.00 beta 56
; VersionField5 = 1.00 beta 56 (2006.09.23)
; VersionField6 = BASS sound system layer
; VersionField7 = ctSSLay
; VersionField8 = ctSSLay.dll
; VersionField9 = Copyright 2002-2006 by Jan Vorel; Published under the GNU General Public License
; VersionField16 = VFT_DLL
; VersionField18 = Comments
; VersionField21 = Published under the GNU General Public License; homepage: http://www.ctuser.net; Uses BASS soundsystem: http://www.un4seen.com; compressed with upx: http://upx.sourceforge.net